﻿/// <reference path="JQuery.Intellisense.js" />
/// <reference path="thickbox.js" />


var root = "/admin";
function checkFileName(filename) {
    var patrn = /^[a-zA-Z0-9_\-]{1,255}.[a-zA-Z]{2,6}$/;
    return patrn.test(filename);
}
function showDialog(caption, url, confirmFunctionName, width, height, initFunctionName) {

    /*
    显示ajax对话框
    url:提交的url地址
    width:对话框宽度
    height:对话框高度
    confirmFunctionName:确定后执行的函数名称(注意,不是函数对象),confirmFunctionName带有一个参数,为返回值
    initFunctionName:初始值函数名称
    url页面应在确定后调用:self.parent.tb_remove();self.parent.confirmFunctionName(value); 
    */
    if (url.toString().indexOf("?", 0) >= 0)
        url += "&";
    else
        url += "?";


    url += "confirm=" + confirmFunctionName;
    if (typeof initFunctionName != "undefined" && initFunctionName != null) {
        url += "&init=" + escape(initFunctionName);
    }
    if (width > 0) {
        url += "&width=" + width;
    }
    if (height > 0) {
        url += "&height=" + height;
    }
    url += "&KeepThis=true&TB_iframe=true&modal=true";
    tb_show(caption, url, false);

}
function showUploadFileDialog(caption, confirmFunctionName, width, height) {
    //上传一般文件
    //width, height为可选项
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/uploadfile.aspx?type=file", confirmFunctionName, width, height);
}
function showUploadPicDialog(caption, confirmFunctionName, width, height) {
    //上传图片
    //width, height为可选项
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/uploadfile.aspx?type=pic", confirmFunctionName, width, height);
}
function showUploadMediaDialog(caption, confirmFunctionName, width, height) {
    //上传多媒体附件
    //width, height为可选项
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/uploadfile.aspx?type=media", confirmFunctionName, width, height);
}
/*
function showSelectFileDialog(caption, confirmFunctionName, path, type, width, height) {
//
//选择文件
//path:相对目录路径，为空或为/表示为根目录
//width, height为可选项
     
if (typeof width == "undefined")
width = 500;
if (typeof height == "undefined")
height = 350;
if (typeof path == "undefined")
path = "/";

showDialog(caption, root+"/dialog/selectfile.aspx?path=" + escape(path) + "&type=" + type, confirmFunctionName, width, height);
    

}
*/
function showSelectFileDialog(srcId, callback) {
    var finder = new CKFinder();
    finder.BasePath = '{@root}ckfinder/'
    finder.SelectFunction = callback;
    finder.SelectFunctionData = srcId;
    finder.Popup();
}


function recieveWaterMarkPicture(url, data) {
    //成功选择文件后要调用的函数
    document.getElementById(data["selectFunctionData"]).value = url;
}
function showSelectTemplateDialog(caption, confirmFunctionName, path, width, height, initFunctionName) {
    //
    //选择模板文件
    //path:相对目录路径，为空或为/表示为模板根目录
    //width, height为可选项
    //返回的路径是相对模板目录的相对路径
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 250;
    if (typeof path == "undefined")
        path = "/";

    showDialog(caption, root+"/dialog/selectTemplate.aspx?path=" + escape(path), confirmFunctionName, width, height, initFunctionName);
}
//选择添加的栏目类型（添加子栏目（内容栏目、链接栏目、单页栏目））
function showSelectAddColumnType(caption, parentId, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/selectcolumntype.aspx?parentId=" + parentId, confirmFunctionName, width, height);
}

//选择添加关键字
function showSelectNewstag(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 550;
    if (typeof height == "undefined")
        height = 250;
    showDialog(caption, root+"/dialog/selectnewstag.aspx", confirmFunctionName, width, height);
}


//选择转移栏目
function showChangeColumn(caption, confirmFunctionName, columnID, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/changeColumn.aspx?columnID=" + columnID, confirmFunctionName, width, height);
}


//选择文章作者
function showSelectNewsAuthor(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/selectnewsauthor.aspx", confirmFunctionName, width, height);
}

//选择文章来源
function showSelectNewsSource(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/selectnewssource.aspx", confirmFunctionName, width, height);
}

//选择文章专题
function showSelectSpecialDialog(caption, confirmFunctionName, multiple, width, height) {
    if (typeof width == "undefined")
        width = 600;
    if (typeof height == "undefined")
        height = 350;
    if (multiple == true)
        showDialog(caption, root+"/dialog/selectspecial.aspx?multiple=1", confirmFunctionName, width, height);
    else
        showDialog(caption, root+"/dialog/selectspecial.aspx?multiple=0", confirmFunctionName, width, height);
}
function showSelectColumnDialog(caption, confirmFunctionName, multiple, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    if (multiple == true)
        showDialog(caption, root+"/dialog/selectcolumn.aspx?multiple=1", confirmFunctionName, width, height);
    else
        showDialog(caption, root+"/dialog/selectcolumn.aspx?multiple=0", confirmFunctionName, width, height);
}
function showSelectLabelDialog(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 600;
    if (typeof height == "undefined")
        height = 400;

    showDialog(caption, root+"/dialog/selectreleaselabel.aspx", confirmFunctionName, width, height);

}
//选择添加的专题类型（添加子栏目（内容栏目、链接栏目））
function showSelectAddSpecialType(caption, parentId, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/selectspecialtype.aspx?parentId=" + parentId, confirmFunctionName, width, height);
}

//选择积分类型
function showSelectScore(caption, confirmFunctionName, username, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 350;
    showDialog(caption, root+"/dialog/selectscore.aspx?username=" + username, confirmFunctionName, width, height);
}

//问卷调查调用
function showSurveyDialog(surveyId, caption, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 400;
    showDialog(caption, root+"/dialog/survey.aspx?&surId=" + surveyId, "", width, height);
}




//内容调查调用
function showContentSurveyDialog(surveyId, caption, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 400;
    showDialog(caption, root+"/dialog/contentsurvey.aspx?surId=" + surveyId, "", width, height);
}



//文件命名规则对话框
function showPathRuleDialog(caption, confirmFunctionName, initFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 400;

    showDialog(caption, root+"/dialog/selectpathrule.aspx", confirmFunctionName, width, height, initFunctionName);
}

//文件命名规则对话框2
function showFileRuleDialog(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 300;

    showDialog(caption, root+"/dialog/selectfilerule.aspx", confirmFunctionName, width, height);
}

//文件命名规则对话框3
function showContentPathRuleDialog(caption, confirmFunctionName, initFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 300;
    showDialog(caption, root+"/dialog/selectcontentpathrule.aspx", confirmFunctionName, width, height, initFunctionName);
}

//文件命名规则对话框4
function showContentNameRuleDialog(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 300;
    showDialog(caption, root+"/dialog/selectcontentnamerule.aspx", confirmFunctionName, width, height);
}


//重命名文件名
function showEditForderOrFileNameDialog(caption, confirmFunctionName, path, oldName, type) {
    var width = 500;
    var height = 120;
    var url = root+"/dialog/editfilename.aspx?path=" + path + "&oldName=" + oldName + "&type=" + type;
    showDialog(caption, url, confirmFunctionName, width, height);
}

//审核稿件
function showCheckContribute(caption, contributeId) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 400;
    showDialog(caption, root+"/dialog/checkcontribute.aspx?ContributeId=" + contributeId, "", width, height);
}

//创建文件夹
function showCreateForderDialog(caption, confirmFunctionName, path) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 100;
    showDialog(caption, root+"/dialog/createforder.aspx?path=" + path, confirmFunctionName, width, height);
}

//创建文件夹
function showTempleUpLoadFileDialog(caption, confirmFunctionName, path) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 100;
    showDialog(caption, root+"/dialog/uploadtemplefile.aspx?path=" + path, confirmFunctionName, width, height);
}

//创建模板文件
function showAddTempleFileDialog(caption, confirmFunctionName, path) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 100;
    showDialog(caption, root+"/dialog/addtemplefile.aspx?path=" + path, confirmFunctionName, width, height);
}

//选择广告客户
function showSelectAdMaster(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 560;
    if (typeof height == "undefined")
        height = 240;
    showDialog(caption, root+"/dialog/selectadmaster.aspx", confirmFunctionName, width, height);
}

//选择广告位
function showSelectAdPostion(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 560;
    if (typeof height == "undefined")
        height = 250;
    showDialog(caption, root+"/dialog/selectadpostion.aspx", confirmFunctionName, width, height);
}

//选择广告向导类型
function showSelectAdHtmlType(caption, confirmFunctionName, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 250;
    showDialog(caption, root+"/dialog/selectadhtmltype.aspx", confirmFunctionName, width, height);
}

////生成图片广告HTML
//function showCreatPicAd(caption,confirmFunctionName, width, height)
//{
//    if(typeof width=="undefined")
//        width=500;
//    if(typeof height=="undefined")
//        height = 250;
//    showDialog(caption, root+"/dialog/creatpicadhtml.aspx", confirmFunctionName, width, height);
//}

////生成Flash广告HTML
//function showCreatFlashAd(caption,confirmFunctionName, width, height)
//{
//    if(typeof width=="undefined")
//        width=500;
//    if(typeof height=="undefined")
//        height = 250;
//    showDialog(caption, root+"/dialog/creatflashadhtml.aspx", confirmFunctionName, width, height);
//}

//查看广告HTML内容
function showAdHtml(caption, adsid, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/viewadhtml.aspx?adsID=" + adsid, "", width, height);
}

//查看广告JS调用内容
function showAdJs(caption, adsGuid, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/viewadjs.aspx?adsGuid=" + adsGuid, "", width, height);
}
//可统计链接转换
function showChangeLink(caption, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/changelink.aspx", "", width, height);
}

function selectModelContent(caption, functionName, modelId, specialId) {
    var width = 500;
    var height = 400;
    showDialog(caption, root+"/dialog/selectmodelcontent.aspx?modelId=" + modelId + "&specialId=" + specialId, functionName, width, height);
}

function showGetFormLinkDialog(caption, schemaId, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/getformlink.aspx?schemaId=" + schemaId, "", width, height);
}
function showSendFormDialog(caption, functionName, schemaId, width, height) {
    if (typeof width == "undefined")
        width = 500;
    if (typeof height == "undefined")
        height = 200;
    showDialog(caption, root+"/dialog/sendform.aspx?schemaId=" + schemaId, functionName, width, height);
}