﻿ 
if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_Survey')
            and   type = 'U')
   drop table dbo.koo_Survey
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_SurveyData')
            and   type = 'U')
   drop table dbo.koo_SurveyData
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_SurveyDataDetail')
            and   type = 'U')
   drop table koo_SurveyDataDetail
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_SurveyItem')
            and   type = 'U')
   drop table dbo.koo_SurveyItem
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_SurveyStat')
            and   type = 'U')
   drop table dbo.koo_SurveyStat
GO
 
create table dbo.koo_Survey (
   SurveyId             int                  identity(1, 1),
   Title                nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   Introduction         ntext                collate Chinese_PRC_CI_AS not null,
   CreateDate           datetime             not null,
   BeginTime            datetime             not null,
   EndTime              datetime             not null,
   Template             nvarchar(500)        not null,
   SuccessTemplate      nvarchar(500)        not null,
   FaultTemplate        nvarchar(500)        not null,
   ResultTemplate       nvarchar(500)        not null,
   IsEnable             bit                  not null,
   IPReduplicate        int                  not null,
   IPTimespan           int                  not null,
   SumSurveyCount       int                  not null,
   IPLock               ntext                collate Chinese_PRC_CI_AS not null,
   IsLoginState         bit                  not null,
   AllowUserGroup       ntext                collate Chinese_PRC_CI_AS not null,
   EnableSessionCode    bit                  not null,
   IsAllowViewStatistics bit                  null,
   constraint PK_koo_Survey primary key (SurveyId)
         on "PRIMARY"
)
on "PRIMARY"
 
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查表',
   'user', 'dbo', 'table', 'koo_Survey'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'SurveyId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查题目',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'Title'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查说明',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'Introduction'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'CreateDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '开始时间',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'BeginTime'
GO

execute sp_addextendedproperty 'MS_Description', 
   '结束日期',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'EndTime'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查模板路径',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'Template'
GO

execute sp_addextendedproperty 'MS_Description', 
   '提交成功模板',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'SuccessTemplate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '提交失败模板',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'FaultTemplate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查结果模板',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'ResultTemplate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否启用',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'IsEnable'
GO

execute sp_addextendedproperty 'MS_Description', 
   '同一IP允许重复提交次数',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'IPReduplicate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '同一IP允许重复提交的时间限制,单位为分钟',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'IPTimespan'
GO

execute sp_addextendedproperty 'MS_Description', 
   '总的投票次数',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'SumSurveyCount'
GO

execute sp_addextendedproperty 'MS_Description', 
   'IP限制，多个IP以逗号分隔，支持*号',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'IPLock'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否需要登录才能投票',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'IsLoginState'
GO

execute sp_addextendedproperty 'MS_Description', 
   '允许投票的会员组，为空则不限制,IsLoginState=true时有效',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'AllowUserGroup'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否开启验证码',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'EnableSessionCode'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否允许查看调查结果',
   'user', 'dbo', 'table', 'koo_Survey', 'column', 'IsAllowViewStatistics'
GO

 
create table dbo.koo_SurveyData (
   ID                   int                  identity(1, 1),
   SurveyID             int                  not null,
   IP                   varchar(20)          collate Chinese_PRC_CI_AS not null,
   UserName             nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   VoteDate             datetime             not null,
   constraint PK_koo_SurveyData primary key (ID)
         on "PRIMARY"
)
on "PRIMARY"
 
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查数据',
   'user', 'dbo', 'table', 'koo_SurveyData'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_SurveyData', 'column', 'ID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查ID',
   'user', 'dbo', 'table', 'koo_SurveyData', 'column', 'SurveyID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '投票IP',
   'user', 'dbo', 'table', 'koo_SurveyData', 'column', 'IP'
GO

execute sp_addextendedproperty 'MS_Description', 
   '投票用户名',
   'user', 'dbo', 'table', 'koo_SurveyData', 'column', 'UserName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '投票日期',
   'user', 'dbo', 'table', 'koo_SurveyData', 'column', 'VoteDate'
GO

 
create table koo_SurveyDataDetail (
   ID                   int                  identity,
   DataId               int                  not null,
   SurveyId             int                  not null,
   QuestionId           int                  not null,
   Answer               nvarchar(4000)       not null,
   constraint PK_koo_SURVEYDATADETAIL primary key (ID)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查详细数据表',
   'user', 'dbo', 'table', 'koo_SurveyDataDetail'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_SurveyDataDetail', 'column', 'ID'
GO



execute sp_addextendedproperty 'MS_Description', 
   '答卷ID',
   'user', 'dbo', 'table', 'koo_SurveyDataDetail', 'column', 'DataId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查ID，冗余字段',
   'user', 'dbo', 'table', 'koo_SurveyDataDetail', 'column', 'SurveyId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '问题ID',
   'user', 'dbo', 'table', 'koo_SurveyDataDetail', 'column', 'QuestionId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '以半角逗号分隔',
   'user', 'dbo', 'table', 'koo_SurveyDataDetail', 'column', 'Answer'
GO

 
create table dbo.koo_SurveyItem (
   QuestionId           int                  not null,
   SurveyID             int                  not null,
   QuestionInfo         ntext                collate Chinese_PRC_CI_AS not null,
   ShowOrder            int                  not null,
   constraint PK_koo_SurveyItem primary key (QuestionId)
         on "PRIMARY"
)
on "PRIMARY"
 
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查项表',
   'user', 'dbo', 'table', 'koo_SurveyItem'
GO

execute sp_addextendedproperty 'MS_Description', 
   '问题ID',
   'user', 'dbo', 'table', 'koo_SurveyItem', 'column', 'QuestionId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查ID',
   'user', 'dbo', 'table', 'koo_SurveyItem', 'column', 'SurveyID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查题目定义,以XML格式保存',
   'user', 'dbo', 'table', 'koo_SurveyItem', 'column', 'QuestionInfo'
GO

execute sp_addextendedproperty 'MS_Description', 
   '序号，越大越靠前',
   'user', 'dbo', 'table', 'koo_SurveyItem', 'column', 'ShowOrder'
GO
 
create table dbo.koo_SurveyStat (
   ID                   int                  identity(1, 1),
   SurveyID             int                  not null,
   QuestionId           int                  not null,
   OptionValue          nvarchar(4000)       not null,
   VoteAmount           int                  not null,
   constraint PK_koo_SurveyStat primary key (ID)
         on "PRIMARY"
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查统计信息表',
   'user', 'dbo', 'table', 'koo_SurveyStat'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_SurveyStat', 'column', 'ID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查ID',
   'user', 'dbo', 'table', 'koo_SurveyStat', 'column', 'SurveyID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查项题目ID',
   'user', 'dbo', 'table', 'koo_SurveyStat', 'column', 'QuestionId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '调查项选项序号',
   'user', 'dbo', 'table', 'koo_SurveyStat', 'column', 'OptionValue'
GO

execute sp_addextendedproperty 'MS_Description', 
   '该选项投票数',
   'user', 'dbo', 'table', 'koo_SurveyStat', 'column', 'VoteAmount'
GO

