﻿ 

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_ContentSurvey')
            and   type = 'U')
   drop table koo_ContentSurvey
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_ContentSurveyItem')
            and   type = 'U')
   drop table koo_ContentSurveyItem
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_ContentSurveyItemStat')
            and   type = 'U')
   drop table koo_ContentSurveyItemStat
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_ContentSurveyRecord')
            and   type = 'U')
   drop table koo_ContentSurveyRecord
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_ContentSurveyRecordItem')
            and   type = 'U')
   drop table koo_ContentSurveyRecordItem
GO
 
create table koo_ContentSurvey (
   SurveyId             int                  identity,
   SurveyName           nvarchar(50)         not null,
   AllowMultiElection   bit                  not null,
   MaxElectionCount     int                  not null,
   IsEnable             bit                  not null,
   Template             nvarchar(500)        not null,
   constraint PK_koo_CONTENTSURVEY primary key (SurveyId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容调查表',
   'user', 'dbo', 'table', 'koo_ContentSurvey'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查Id',
   'user', 'dbo', 'table', 'koo_ContentSurvey', 'column', 'SurveyId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查名称',
   'user', 'dbo', 'table', 'koo_ContentSurvey', 'column', 'SurveyName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否允许多选',
   'user', 'dbo', 'table', 'koo_ContentSurvey', 'column', 'AllowMultiElection'
GO



execute sp_addextendedproperty 'MS_Description', 
   '最多可选项',
   'user', 'dbo', 'table', 'koo_ContentSurvey', 'column', 'MaxElectionCount'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否启用,未启用则不能投票',
   'user', 'dbo', 'table', 'koo_ContentSurvey', 'column', 'IsEnable'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查模板',
   'user', 'dbo', 'table', 'koo_ContentSurvey', 'column', 'Template'
GO
 
create table koo_ContentSurveyItem (
   ItemId               int                  identity,
   ItemName             nvarchar(50)         not null,
   SurveyId             int                  not null,
   IsEnable             bit                  not null,
   ShowOrder            int                  not null,
   constraint PK_koo_CONTENTSURVEYITEM primary key (ItemId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查选项表',
   'user', 'dbo', 'table', 'koo_ContentSurveyItem'
GO



execute sp_addextendedproperty 'MS_Description', 
   '选项Id',
   'user', 'dbo', 'table', 'koo_ContentSurveyItem', 'column', 'ItemId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '选项名称',
   'user', 'dbo', 'table', 'koo_ContentSurveyItem', 'column', 'ItemName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查Id',
   'user', 'dbo', 'table', 'koo_ContentSurveyItem', 'column', 'SurveyId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否启用',
   'user', 'dbo', 'table', 'koo_ContentSurveyItem', 'column', 'IsEnable'
GO



execute sp_addextendedproperty 'MS_Description', 
   '序号，越大越靠前',
   'user', 'dbo', 'table', 'koo_ContentSurveyItem', 'column', 'ShowOrder'
GO

 
create table koo_ContentSurveyItemStat (
   Id                   int                  identity,
   ContentId            int                  not null,
   ModelId              int                  not null,
   ItemId               int                  not null,
   Votes                int                  not null,
   constraint PK_koo_CONTENTSURVEYITEMSTAT primary key (Id)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容调查统计表',
   'user', 'dbo', 'table', 'koo_ContentSurveyItemStat'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_ContentSurveyItemStat', 'column', 'Id'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容编号',
   'user', 'dbo', 'table', 'koo_ContentSurveyItemStat', 'column', 'ContentId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容模型ID',
   'user', 'dbo', 'table', 'koo_ContentSurveyItemStat', 'column', 'ModelId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查项',
   'user', 'dbo', 'table', 'koo_ContentSurveyItemStat', 'column', 'ItemId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票数',
   'user', 'dbo', 'table', 'koo_ContentSurveyItemStat', 'column', 'Votes'
GO

 
create table koo_ContentSurveyRecord (
   ID                   int                  identity,
   SrcId                int                  not null,
   ModelId              int                  not null,
   ItemId               ntext                not null,
   IP                   nvarchar(20)         not null,
   PostTime             datetime             not null,
   PostUser             nvarchar(256)        not null,
   SurveyId             int                  not null,
   constraint PK_koo_CONTENTSURVEYRECORD primary key (ID)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查记录表',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'ID'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容记录编号',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'SrcId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容模型ID',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'ModelId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '多个选项以半角逗号分隔',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'ItemId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票IP',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'IP'
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票时间',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'PostTime'
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票用户名',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'PostUser'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查ID',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecord', 'column', 'SurveyId'
GO

create table koo_ContentSurveyRecordItem (
   RecordId             int                  not null,
   ItemId               int                  not null
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票选项表',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecordItem'
GO



execute sp_addextendedproperty 'MS_Description', 
   '调查记录ID',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecordItem', 'column', 'RecordId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票项ID',
   'user', 'dbo', 'table', 'koo_ContentSurveyRecordItem', 'column', 'ItemId'
GO

