﻿if exists (select 1
            from  sysobjects
           where  id = object_id('koo_PersonalizedFormSchema')
            and   type = 'U')
   drop table koo_PersonalizedFormSchema
GO


create table koo_PersonalizedFormSchema (
   SchemaId             int                  identity,
   SchemaName           nvarchar(50)         not null,
   TableName            nvarchar(128)        not null,
   SchemaDefine         ntext                not null,
   Description          ntext                not null,
   FormSchema           nvarchar(256)        not null,
   FormSucessSchema     nvarchar(256)        not null,
   FormFaultSchema      nvarchar(256)        not null,
   PurviewType          int                  not null,
   RoleIds              ntext                not null,
   constraint PK_koo_PERSONALIZEDFORMSCHEMA primary key (SchemaId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义表单数据结构表',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema'
GO



execute sp_addextendedproperty 'MS_Description', 
   '记录ID',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'SchemaId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '表单名称',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'SchemaName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '数据表名',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'TableName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '字段定义',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'SchemaDefine'
GO



execute sp_addextendedproperty 'MS_Description', 
   '表单说明',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'Description'
GO



execute sp_addextendedproperty 'MS_Description', 
   '表单模板',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'FormSchema'
GO



execute sp_addextendedproperty 'MS_Description', 
   '提交成功模板',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'FormSucessSchema'
GO



execute sp_addextendedproperty 'MS_Description', 
   '提交失败模板',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'FormFaultSchema'
GO



execute sp_addextendedproperty 'MS_Description', 
   '权限，1为开放，2为要求登录，3为指定用户组',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'PurviewType'
GO



execute sp_addextendedproperty 'MS_Description', 
   '允许用户组列表,用逗号分隔',
   'user', 'dbo', 'table', 'koo_PersonalizedFormSchema', 'column', 'RoleIds'
GO
