﻿


if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_Module')
            and   type = 'U')
   drop table dbo.koo_Module
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_ModuleOperation')
            and   type = 'U')
   drop table koo_ModuleOperation
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_Operation')
            and   type = 'U')
   drop table dbo.koo_Operation
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_RoleOperationPermissions')
            and   type = 'U')
   drop table dbo.koo_RoleOperationPermissions
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_RolePermissions')
            and   type = 'U')
   drop table dbo.koo_RolePermissions
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_Roles')
            and   type = 'U')
   drop table dbo.koo_Roles
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_Shortcut')
            and   type = 'U')
   drop table dbo.koo_Shortcut
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_User')
            and   type = 'U')
   drop table dbo.koo_User
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_UserActiveCode')
            and   type = 'U')
   drop table koo_UserActiveCode
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_UserAddressInfo')
            and   type = 'U')
   drop table koo_UserAddressInfo
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_UserDetailInfo')
            and   type = 'U')
   drop table koo_UserDetailInfo
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_UsersInRoles')
            and   type = 'U')
   drop table dbo.koo_UsersInRoles
GO

 
create table dbo.koo_Module (
   ModuleId             int                  identity(1, 1),
   ModuleName           nvarchar(50)         collate Chinese_PRC_CI_AS 

not null,
   ParentId             int                  not null,
   ChildIds             ntext                collate Chinese_PRC_CI_AS 

not null,
   NavigateUrl          nvarchar(255)        collate Chinese_PRC_CI_AS 

not null,
   Target               nvarchar(30)         collate Chinese_PRC_CI_AS 

not null,
   ModuleType           int                  not null,
   BigPictureUrl        nvarchar(256)        not null,
   SmallPictureUrl      nvarchar(256)        not null,
   ShowOrder            int                  not null,
   ModuleState          bit                  not null,
   Owner                nvarchar(256)        not null,
   CreateDate           datetime             not null,
   InstallGuid          nvarchar(500)        not null,
   ResGuid              nvarchar(50)         not null,
   IsAdminModule        bit                  not null,
   IsSystem             bit                  not null,
   IsContentContainer   bit                  not null,
   constraint PK_koo_Resource primary key (ModuleId)
)
on "PRIMARY"
textimage_on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '系统模块表',
   'user', 'dbo', 'table', 'koo_Module'
GO

execute sp_addextendedproperty 'MS_Description', 
   '资源ID',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ModuleId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '资源名称',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ModuleName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '上级资源Id',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ParentId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '所有下级资源列表，在半角逗号分隔',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ChildIds'
GO

execute sp_addextendedproperty 'MS_Description', 
   '链接地址',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'NavigateUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '链接对象',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'Target'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块类型,0为普通菜单,1为附加菜单',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ModuleType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块图标(大)',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'BigPictureUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块图标(小)',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'SmallPictureUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '显示顺序',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ShowOrder'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块状态',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ModuleState'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建人',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'Owner'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'CreateDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '安装缷载标识',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'InstallGuid'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块标识',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'ResGuid'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否后台菜单',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'IsAdminModule'
GO

execute sp_addextendedproperty 'MS_Description', 
   '手动添加的菜单为0，自动菜单为1',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'IsSystem'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否信息管理菜单容器',
   'user', 'dbo', 'table', 'koo_Module', 'column', 'IsContentContainer'
GO


create table koo_ModuleOperation (
   Id                   int                  not null,
   ModuleGuid           nvarchar(50)         not null,
   OpeartionCode        nvarchar(50)         not null,
   constraint PK_koo_MODULEOPERATION primary key (Id)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '菜单功能权限表',
   'user', 'dbo', 'table', 'koo_ModuleOperation'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_ModuleOperation', 'column', 'Id'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块标识符',
   'user', 'dbo', 'table', 'koo_ModuleOperation', 'column', 

'ModuleGuid'
GO



execute sp_addextendedproperty 'MS_Description', 
   '操作码',
   'user', 'dbo', 'table', 'koo_ModuleOperation', 'column', 

'OpeartionCode'
GO


create table dbo.koo_Operation (
   OperationId          int                  identity,
   OperationName        nvarchar(50)         not null,
   Description          nvarchar(500)        not null,
   ModuleType           nvarchar(50)         not null,
   OperationCode        nvarchar(50)         not null,
   ModuleGuid           nvarchar(50)         not null,
   constraint PK_koo_OPERATION primary key (OperationId)
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '操作表',
   'user', 'dbo', 'table', 'koo_Operation'
GO

execute sp_addextendedproperty 'MS_Description', 
   '操作类型Id',
   'user', 'dbo', 'table', 'koo_Operation', 'column', 'OperationId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '操作类型名称',
   'user', 'dbo', 'table', 'koo_Operation', 'column', 'OperationName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '说明',
   'user', 'dbo', 'table', 'koo_Operation', 'column', 'Description'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块类别标识符',
   'user', 'dbo', 'table', 'koo_Operation', 'column', 'ModuleType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '操作码',
   'user', 'dbo', 'table', 'koo_Operation', 'column', 'OperationCode'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块标识符',
   'user', 'dbo', 'table', 'koo_Operation', 'column', 'ModuleGuid'
GO


create table dbo.koo_RoleOperationPermissions (
   ID                   int                  identity,
   RoleId               int                  not null,
   ModuleGuid           nvarchar(50)         not null,
   OperationCode        nvarchar(50)         not null,
   constraint PK_koo_ROLEOPERATIONPERMISSIONS primary key (ID)
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色操作权限表',
   'user', 'dbo', 'table', 'koo_RoleOperationPermissions'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_RoleOperationPermissions', 'column', 

'ID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色ID',
   'user', 'dbo', 'table', 'koo_RoleOperationPermissions', 'column', 

'RoleId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块标识',
   'user', 'dbo', 'table', 'koo_RoleOperationPermissions', 'column', 

'ModuleGuid'
GO

execute sp_addextendedproperty 'MS_Description', 
   '操作码',
   'user', 'dbo', 'table', 'koo_RoleOperationPermissions', 'column', 

'OperationCode'
GO


create table dbo.koo_RolePermissions (
   ID                   int                  identity,
   RoleId               int                  not null,
   ModuleId             int                  not null,
   constraint PK_koo_ROLEPERMISSIONS primary key (ID)
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色模块权限表',
   'user', 'dbo', 'table', 'koo_RolePermissions'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_RolePermissions', 'column', 'ID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色ID',
   'user', 'dbo', 'table', 'koo_RolePermissions', 'column', 'RoleId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块ID',
   'user', 'dbo', 'table', 'koo_RolePermissions', 'column', 'ModuleId'
GO


create table dbo.koo_Roles (
   RoleId               int                  identity(1, 1),
   RoleName             nvarchar(256)        collate Chinese_PRC_CI_AS 

not null,
   Description          nvarchar(256)        collate Chinese_PRC_CI_AS 

not null,
   IsAdminRole          bit                  not null,
   IsSystemSign         bit                  not null,
   IsSuperAdmin         bit                  not null,
   constraint PK_koo_Roles primary key (RoleId)
         on "PRIMARY",
   constraint IX_koo_Roles_RoleName unique (RoleName)
         on "PRIMARY"
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色表',
   'user', 'dbo', 'table', 'koo_Roles'
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色ID',
   'user', 'dbo', 'table', 'koo_Roles', 'column', 'RoleId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色名称',
   'user', 'dbo', 'table', 'koo_Roles', 'column', 'RoleName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色描述',
   'user', 'dbo', 'table', 'koo_Roles', 'column', 'Description'
GO

execute sp_addextendedproperty 'MS_Description', 
   '该角色是否可以访问后台系统',
   'user', 'dbo', 'table', 'koo_Roles', 'column', 'IsAdminRole'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否系统角色，系统角色不允许删除和修改',
   'user', 'dbo', 'table', 'koo_Roles', 'column', 'IsSystemSign'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否超级管理员角色',
   'user', 'dbo', 'table', 'koo_Roles', 'column', 'IsSuperAdmin'
GO


create table dbo.koo_Shortcut (
   ShortcutId           int                  identity,
   ShortcutName         nvarchar(50)         not null,
   NavigateUrl          nvarchar(256)        not null,
   Target               nvarchar(20)         not null,
   IsSystem             bit                  not null,
   ShortcutType         int                  not null,
   Creator              int                  not null,
   CreateDate           datetime             not null,
   Description          nvarchar(500)        not null,
   ShowOrder            int                  not null,
   constraint PK_koo_SHORTCUT primary key (ShortcutId)
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '快捷菜单',
   'user', 'dbo', 'table', 'koo_Shortcut'
GO

execute sp_addextendedproperty 'MS_Description', 
   '快捷方式ID',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'ShortcutId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '快捷方式名称',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'ShortcutName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '链接地址',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'NavigateUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '链接目标',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'Target'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否系统菜单',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'IsSystem'
GO

execute sp_addextendedproperty 'MS_Description', 
   '菜单类型',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'ShortcutType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建者',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'Creator'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'CreateDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '说明',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'Description'
GO

execute sp_addextendedproperty 'MS_Description', 
   '显示顺序',
   'user', 'dbo', 'table', 'koo_Shortcut', 'column', 'ShowOrder'
GO


create table dbo.koo_User (
   UserId               int                  identity(1, 1),
   UserName             nvarchar(256)        collate Chinese_PRC_CI_AS 

not null,
   Password             sysname              collate Chinese_PRC_CI_AS 

not null,
   PasswordFormat       int                  not null,
   PasswordSalt         nvarchar(128)        not null,
   Email                nvarchar(256)        collate Chinese_PRC_CI_AS 

not null,
   SafeEmail            nvarchar(256)        not null,
   PasswordQuestion     nvarchar(256)        collate Chinese_PRC_CI_AS 

not null,
   PasswordAnswer       sysname              collate Chinese_PRC_CI_AS 

not null,
   IsApproved           bit                  not null,
   IsLockedOut          bit                  not null,
   RegIP                nvarchar(20)         not null,
   CreateDate           datetime             not null,
   LastIP               nvarchar(20)         not null,
   LastLoginDate        datetime             not null,
   LastPasswordChangedDate datetime             not null,
   LastLockoutDate      datetime             not null,
   LastActivityDate     datetime             not null,
   Score                int                  not null,
   ExtScore1            decimal              not null,
   ExtScore2            decimal              not null,
   ExtScore3            decimal              not null,
   ExtScore4            decimal              not null,
   ExtScore5            decimal              not null,
   ExtScore6            decimal              not null,
   ExtScore7            decimal              not null,
   ExtScore8            decimal              not null,
   NewMessage           int                  not null,
   FailedPasswordAttemptCount int                  not null,
   FailedPasswordAttemptWindowStart datetime             not null,
   FailedPasswordAnswerAttemptCount int                  not null,
   FailedPasswordAnswerAttemptWindowStart datetime             not 

null,
   Comment              ntext                collate Chinese_PRC_CI_AS 

not null,
   constraint PK_koo_User primary key (UserId)
         on "PRIMARY",
   constraint IX_koo_User_UserName unique (UserName)
         on "PRIMARY"
)
on "PRIMARY"
textimage_on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '用户基本信息表',
   'user', 'dbo', 'table', 'koo_User'
GO

execute sp_addextendedproperty 'MS_Description', 
   '用户编号',
   'user', 'dbo', 'table', 'koo_User', 'column', 'UserId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '用户名',
   'user', 'dbo', 'table', 'koo_User', 'column', 'UserName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '密码',
   'user', 'dbo', 'table', 'koo_User', 'column', 'Password'
GO

execute sp_addextendedproperty 'MS_Description', 
   '密码格式1为SHA1，2为MD5加密',
   'user', 'dbo', 'table', 'koo_User', 'column', 'PasswordFormat'
GO

execute sp_addextendedproperty 'MS_Description', 
   'PasswordSalt',
   'user', 'dbo', 'table', 'koo_User', 'column', 'PasswordSalt'
GO

execute sp_addextendedproperty 'MS_Description', 
   '电子邮箱',
   'user', 'dbo', 'table', 'koo_User', 'column', 'Email'
GO

execute sp_addextendedproperty 'MS_Description', 
   '安全电子邮箱',
   'user', 'dbo', 'table', 'koo_User', 'column', 'SafeEmail'
GO

execute sp_addextendedproperty 'MS_Description', 
   '密码问题',
   'user', 'dbo', 'table', 'koo_User', 'column', 'PasswordQuestion'
GO

execute sp_addextendedproperty 'MS_Description', 
   '密码答案',
   'user', 'dbo', 'table', 'koo_User', 'column', 'PasswordAnswer'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否激活',
   'user', 'dbo', 'table', 'koo_User', 'column', 'IsApproved'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否被锁定',
   'user', 'dbo', 'table', 'koo_User', 'column', 'IsLockedOut'
GO

execute sp_addextendedproperty 'MS_Description', 
   '注册IP',
   'user', 'dbo', 'table', 'koo_User', 'column', 'RegIP'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建时间',
   'user', 'dbo', 'table', 'koo_User', 'column', 'CreateDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '最后登录IP',
   'user', 'dbo', 'table', 'koo_User', 'column', 'LastIP'
GO

execute sp_addextendedproperty 'MS_Description', 
   '最后登录日期',
   'user', 'dbo', 'table', 'koo_User', 'column', 'LastLoginDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '密码修改日期',
   'user', 'dbo', 'table', 'koo_User', 'column', 

'LastPasswordChangedDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '最后登出日期',
   'user', 'dbo', 'table', 'koo_User', 'column', 'LastLockoutDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '最后活动时间',
   'user', 'dbo', 'table', 'koo_User', 'column', 'LastActivityDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '总积分',
   'user', 'dbo', 'table', 'koo_User', 'column', 'Score'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分1',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore1'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分2',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore2'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分3',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore3'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分4',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore4'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分5',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore5'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分6',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore6'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分7',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore7'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分8',
   'user', 'dbo', 'table', 'koo_User', 'column', 'ExtScore8'
GO

execute sp_addextendedproperty 'MS_Description', 
   '未读短信数',
   'user', 'dbo', 'table', 'koo_User', 'column', 'NewMessage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '登录失败次数',
   'user', 'dbo', 'table', 'koo_User', 'column', 

'FailedPasswordAttemptCount'
GO

execute sp_addextendedproperty 'MS_Description', 
   '在FailedPasswordAttemptCount非零时，第一次登录失败的时间',
   'user', 'dbo', 'table', 'koo_User', 'column', 

'FailedPasswordAttemptWindowStart'
GO

execute sp_addextendedproperty 'MS_Description', 
   '回答密码问题失败的次数',
   'user', 'dbo', 'table', 'koo_User', 'column', 

'FailedPasswordAnswerAttemptCount'
GO

execute sp_addextendedproperty 'MS_Description', 
   '在FailedPasswordAnswer-AttemptCount非零时，第一次回答问题失败的时

间',
   'user', 'dbo', 'table', 'koo_User', 'column', 

'FailedPasswordAnswerAttemptWindowStart'
GO

execute sp_addextendedproperty 'MS_Description', 
   '保留字段',
   'user', 'dbo', 'table', 'koo_User', 'column', 'Comment'
GO


create table koo_UserActiveCode (
   CodeId               int                  identity,
   UserName             nvarchar(256)        not null,
   Code                 nvarchar(50)         not null,
   IsUsed               bit                  not null,
   ExpireTime           datetime             not null,
   InputDate            datetime             not null,
   constraint PK_koo_USERACTIVECODE primary key (CodeId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '会员激活表',
   'user', 'dbo', 'table', 'koo_UserActiveCode'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_UserActiveCode', 'column', 

'CodeId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户名',
   'user', 'dbo', 'table', 'koo_UserActiveCode', 'column', 

'UserName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '激活码',
   'user', 'dbo', 'table', 'koo_UserActiveCode', 'column', 

'Code'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否已激活',
   'user', 'dbo', 'table', 'koo_UserActiveCode', 'column', 

'IsUsed'
GO



execute sp_addextendedproperty 'MS_Description', 
   '到期时间',
   'user', 'dbo', 'table', 'koo_UserActiveCode', 'column', 

'ExpireTime'
GO



execute sp_addextendedproperty 'MS_Description', 
   '产生时间',
   'user', 'dbo', 'table', 'koo_UserActiveCode', 'column', 

'InputDate'
GO


create table koo_UserAddressInfo (
   UserId               int                  not null,
   Location             nvarchar(50)         not null,
   Address              nvarchar(100)        not null,
   PostNum              nvarchar(10)         not null,
   Telphone             nvarchar(50)         not null,
   YahooIM              nvarchar(256)        not null,
   Skype                nvarchar(50)         not null,
   Mobile               nvarchar(50)         not null,
   MSN                  nvarchar(256)        not null,
   QQ                   nvarchar(50)         not null,
   Website              nvarchar(256)        not null,
   Fax                  nvarchar(20)         not null,
   constraint PK_koo_USERADDRESSINFO primary key (UserId)
)
on "PRIMARY"
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户联系信息',
   'user', 'dbo', 'table', 'koo_UserAddressInfo'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户ID',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'UserId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '地区信息',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'Location'
GO



execute sp_addextendedproperty 'MS_Description', 
   '联系地址',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'Address'
GO



execute sp_addextendedproperty 'MS_Description', 
   '邮编',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'PostNum'
GO



execute sp_addextendedproperty 'MS_Description', 
   '电话',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'Telphone'
GO



execute sp_addextendedproperty 'MS_Description', 
   'yahoo messenger帐号',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'YahooIM'
GO



execute sp_addextendedproperty 'MS_Description', 
   'Skype帐号',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'Skype'
GO



execute sp_addextendedproperty 'MS_Description', 
   '手机',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'Mobile'
GO



execute sp_addextendedproperty 'MS_Description', 
   'MSN',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'MSN'
GO



execute sp_addextendedproperty 'MS_Description', 
   'QQ',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 'QQ'
GO



execute sp_addextendedproperty 'MS_Description', 
   '网址',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'Website'
GO



execute sp_addextendedproperty 'MS_Description', 
   '传真',
   'user', 'dbo', 'table', 'koo_UserAddressInfo', 'column', 

'Fax'
GO


create table koo_UserDetailInfo (
   UserId               int                  not null,
   Nickname             nvarchar(50)         not null,
   RealName             nvarchar(30)         not null,
   Sex                  int                  not null,
   IDType               int                  not null,
   IDCard               nvarchar(20)         not null,
   Hobbies              nvarchar(200)        not null,
   Education            nvarchar(10)         not null,
   LastSchool           nvarchar(20)         not null,
   PoliticalParties     nvarchar(20)         not null,
   Job                  nvarchar(30)         not null,
   Nation               nvarchar(20)         not null,
   NativePlace          nvarchar(20)         not null,
   BirthDate            nvarchar(20)         not null,
   Character            ntext                not null,
   AvatarUrl            nvarchar(256)        not null,
   AvatarWidth          int                  not null,
   AvatarHeight         int                  not null,
   Introduction         nvarchar(500)        not null,
   SignStatus           bit                  not null,
   Signature            ntext                not null,
   SignatureHTML        ntext                not null,
   constraint PK_koo_USERDETAILINFO primary key (UserId)
)
on "PRIMARY"
textimage_on "PRIMARY"
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户详细扩展信息',
   'user', 'dbo', 'table', 'koo_UserDetailInfo'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户ID',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'UserId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户呢称',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'Nickname'
GO



execute sp_addextendedproperty 'MS_Description', 
   '真实姓名',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'RealName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '性别',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 'Sex'
GO



execute sp_addextendedproperty 'MS_Description', 
   '1身份证,2军官证,3学生证,4其他',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'IDType'
GO



execute sp_addextendedproperty 'MS_Description', 
   '证件号码',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'IDCard'
GO



execute sp_addextendedproperty 'MS_Description', 
   '爱好',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'Hobbies'
GO



execute sp_addextendedproperty 'MS_Description', 
   '学历',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'Education'
GO



execute sp_addextendedproperty 'MS_Description', 
   '毕业学校',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'LastSchool'
GO



execute sp_addextendedproperty 'MS_Description', 
   '政治面貌',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'PoliticalParties'
GO



execute sp_addextendedproperty 'MS_Description', 
   '职业',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 'Job'
GO



execute sp_addextendedproperty 'MS_Description', 
   '民族',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'Nation'
GO



execute sp_addextendedproperty 'MS_Description', 
   '籍贯',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'NativePlace'
GO



execute sp_addextendedproperty 'MS_Description', 
   '出生日期',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'BirthDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   '性格类型',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'Character'
GO



execute sp_addextendedproperty 'MS_Description', 
   '头像地址',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'AvatarUrl'
GO



execute sp_addextendedproperty 'MS_Description', 
   '头像宽度',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'AvatarWidth'
GO



execute sp_addextendedproperty 'MS_Description', 
   '头像高度',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'AvatarHeight'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自我介绍',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'Introduction'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否设置了个性签名',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'SignStatus'
GO



execute sp_addextendedproperty 'MS_Description', 
   '个性签名内容',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'Signature'
GO



execute sp_addextendedproperty 'MS_Description', 
   '签名显示',
   'user', 'dbo', 'table', 'koo_UserDetailInfo', 'column', 

'SignatureHTML'
GO


create table dbo.koo_UsersInRoles (
   ID                   int                  identity(1, 1),
   UserId               int                  not null,
   RoleId               int                  not null,
   constraint PK_koo_UserInRoles primary key (ID)
         on "PRIMARY"
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '用户角色关联表',
   'user', 'dbo', 'table', 'koo_UsersInRoles'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_UsersInRoles', 'column', 'ID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '用户Id',
   'user', 'dbo', 'table', 'koo_UsersInRoles', 'column', 'UserId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '角色Id',
   'user', 'dbo', 'table', 'koo_UsersInRoles', 'column', 'RoleId'
GO

SET IDENTITY_INSERT koo_Roles ON
insert koo_Roles(RoleId,RoleName,Description,IsAdminRole,IsSystemSign,IsSuperAdmin) values(	1	,	N'系统管理员'	,	N'超级管理员，拥有网站管理的全部权限'	,	1	,	1	,	1	)

SET IDENTITY_INSERT koo_Roles OFF


SET IDENTITY_INSERT koo_Module ON
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	27	,	N'用户管理'	,	28	,N'',	N'Users/list.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	99	,	1	,	N''	,	getdate()	,	N'1'	,	N'F1BA946B-B073-401F-A7B1-E277A531A852'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	28	,	N'成员权限'	,	0	,N'',	N'Users/list.aspx'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	2	,	1	,	N''	,getdate()	,	N'1'	,	N'1EDC8F69-C0F6-4AE9-BD84-5E04F8358014'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	31	,	N'站点配置'	,	0	,N'',	N''	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	3	,	1	,	N''	,	getdate()	,	N'1'	,	N'EFA6068E-77D9-499E-BD25-666EB4F641A9'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	34	,	N'站点配置管理'	,	61	,N'',	N'Site/sitelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'1'	,	N'EA7E65B5-3792-4760-A3A0-CB79956C3790'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	36	,	N'邮件设置'	,	61	,N'',	N'Settings/mailsettings.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,	getdate()	,	N'1'	,	N'6EEDE801-7956-4383-9794-4E711E5B51C7'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	37	,	N'注册设置'	,	28	,N'',	N'Settings/registersetting.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,	getdate()	,	N'1'	,	N'EA35D2E6-62C5-4B98-A51B-71CF29D3FE9F'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	38	,	N'积分设置'	,	28	,N'',	N'Settings/scoressetting.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,	getdate(),	N'1'	,	N'2ABF9B2B-4384-4675-A542-E83CC7944D3D'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	39	,	N'附件位置管理'	,	61	,N'',	N'AccessorieServer/accessorieserverlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,	getdate()	,	N'1'	,	N'7E661424-3886-42F5-803C-464D9BEE1E96'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	41	,	N'系统日志管理'	,	56	,N'',	N'Log/systemlog.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,	getdate()	,	N'1'	,	N'5E0737B5-05DD-4AAC-8BE2-B973CD55CC22'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	42	,	N'用户日志管理'	,	56	,N'',	N'Log/userlog.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,	getdate()	,	N'1'	,	N'A6ADABFF-4CC9-46AC-AD26-967E048EC943'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	43	,	N'前台菜单管理'	,	169	,N'',	N'Menu/usermenulist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,getdate()	,	N'1'	,	N'E504EC57-24EE-44E0-872B-954B1DF7B12B'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	44	,	N'前台快捷方式'	,	169	,N'',	N'Menu/usershortcutlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	0	,	N''	,getdate()	,	N'1'	,	N'00A37774-AEE8-4BB3-99F5-23BDA0ED4319'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	45	,	N'后台快捷方式'	,	169	,N'',	N'Menu/adminshortcutlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	0	,	N''	,	getdate()	,	N'1'	,	N'0BE680BC-2DC4-4963-9B86-32F6960CE255'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	47	,	N'后台菜单管理'	,	169	,N'',	N'Menu/adminmenulist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,	getdate()	,	N'1'	,	N'0748092D-87FB-4A0A-B741-C10A8EA91479'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	48	,	N'快捷方式管理'	,	156	,N'',	N'Menu/proprtyshortcut.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	0	,	N''	,	getdate()	,	N'1'	,	N'D54275BE-96DD-4489-B174-546D032EE5CC'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	50	,	N'专题管理'	,	64	,N'',	N'Special/speciallist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'1'	,	N'13DE2765-93FD-4726-B4F1-966648B4BD9D'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	54	,	N'站点管理'	,	0	,N'',	N'#'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N'0'	,	N'C9439EE3-9BDC-41B6-B7B6-8ABED968E2DF'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	55	,	N'用户组管理'	,	28	,N'',	N'roles/list.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'B92FE07F-83D9-41C3-921D-26D17EE01C15'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	56	,	N'系统工具'	,	0	,N'',	N'#'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	4	,	1	,	N''	,	getdate()	,	N'0'	,	N'72AF70EF-6ABD-4DE4-9D3C-C65829CC2D9D'	,	1	,	0	,	0	)
--insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	57	,	N'系统帮助'	,	0	,N'',	N'#'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	5	,	1	,	N''	,	getdate()	,	N'0'	,	N'95D2C6FE-7449-418E-89E7-C4DA9FE05C6C'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	58	,	N'上传附件/图片设置'	,	61	,N'',	N'settings/basesetting.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate(),	N'0'	,	N'A152DFA2-31A7-4254-B8BE-678AC0E0A490'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	61	,	N'站点通用配置'	,	31	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'8C8B52DA-2584-47FC-8A48-B02542A14807'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	64	,	N'信息管理'	,	54	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate(),	N'0'	,	N'EF45ED32-E80B-4463-9F2F-387CC3A27403'	,	1	,	0	,	1	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	65	,	N'配置管理'	,	54	,N'',	N'#'	,	N'_self'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	9	,	1	,	N''	,	getdate()	,	N'0'	,	N'08C578C7-0AB0-44F1-AC4E-C27009CCA623'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	66	,	N'栏目管理'	,	65	,N'',	N'column/columnlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	2	,	1	,	N''	,	getdate()	,	N'0'	,	N'0F32D573-8FE4-43DF-9116-6A7C06F36C91'	,	1	,	0	,	0	)
--insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	67	,	N'站点配置'	,	65	,N'',	N'site/sitenow.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	1	,	1	,	N''	,getdate()	,	N'0'	,	N'9AF92E79-DED4-4CCF-9006-C172A908039C'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	68	,	N'自定义字段'	,	145	,N'',	N'customfields/fieldclasslist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	4	,	1	,	N''	,	getdate()	,	N'0'	,	N'457F4BB3-111A-4459-A3AE-076B1C38E8B5'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	145	,	N'文章模型配置'	,	31	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'722E2C2F-EF4C-4C3E-9627-5C29C9ED58FA'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	146	,	N'文章作者'	,	145	,N'',	N'/news/newsauthorlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'FA1E40D0-7EBA-46FC-AF47-EBE3849EB2C3'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	147	,	N'自定义属性'	,	145	,N'',	N'news/newspropertieslist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'822AABAA-9BFB-4CD5-AAFB-C6A8D5B2CD25'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	148	,	N'文章来源'	,	145	,N'',	N'news/newssourcelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'06ED2CBE-1226-4572-81B4-82A97F673785'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	149	,	N'关键字'	,	145	,N'',	N'news/newstaglist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'6E121849-9877-4C74-8F95-ED9E8377AB65'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	156	,	N'功能管理'	,	54	,N'',	N'#'	,	N'_self'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N'0'	,	N'E5C3C551-1BC7-4A06-9D8E-5B92079C6076'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	169	,	N'菜单管理'	,	31	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'0B38B978-8FDE-4A21-98E8-09BA279B5540'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	170	,	N'链接管理'	,	156	,N'',	N'Link/classlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	111	,	1	,	N''	,	getdate()	,	N''	,	N'199C4133-1E1C-418B-9253-1E673310A41C'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	171	,	N'自定义表单'	,	156	,N'',	N'PersonalizedForm/schemalist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'CBC59B34-DBA0-4AC6-AD78-CE3CB048F870'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	173	,	N'内容调查'	,	156	,N'',	N'ContentSurvey/contentlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	2	,	1	,	N''	,	getdate()	,	N''	,	N'5BE31C4A-2E37-416F-8355-70C73ADCE93F'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	174	,	N'关联生成配置'	,	65	,N'',	N'/releasesettings/list.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	3	,	1	,	N''	,	getdate()	,	N''	,	N'A5E85749-6FB7-43D6-8FB7-E899B3669A08'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	175	,	N'文件碎片生成配置'	,	65	,N'',	N'releaseadvancesettings/list.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	4	,	1	,	N''	,getdate()	,	N''	,	N'8EEE18A8-2A32-4121-85B7-14ABC4F36AE2'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	177	,	N'点卡类型管理'	,	28	,N'',	N'PointCard/cardtypelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'56AC4A17-EC6D-433D-83A9-3EBA4C9B81D3'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	179	,	N'生成管理'	,	54	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'40149C67-A76F-49D0-BBF2-E5A55C37F0FC'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	180	,	N'生成首页'	,	179	,N'',	N'publish/releaseindexpage.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate(),	N''	,	N'980DC395-6ABB-4A0E-ABE0-21F168D41F99'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	181	,	N'生成栏目页'	,	179	,N'',	N'publish/releasecolumnpage.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'30717FED-CD97-4951-BDF2-CC83E3C74E8D'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	182	,	N'生成专题页'	,	179	,N'',	N'publish/releasespecialpage.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'9568E6D3-C052-49E8-99E5-D98E7BF1FAB9'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	183	,	N'生成内容页'	,	179	,N'',	N'publish/releasecontentpage.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'0DAC6216-1964-414A-B736-933419199B72'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	184	,	N'问卷调查'	,	156	,N'',	N'survey/surveylist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'40495D27-4BB3-4A36-9E73-F4F206117F92'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	186	,	N'点卡管理'	,	156	,N'',	N'PointCard/cardlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'F3C35BFE-6096-4F2A-85AE-F72A70F6CA98'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	187	,	N'评论管理'	,	156	,N'',	N'Comment/commentlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'24029C04-7BD2-460C-9A9F-4B9622589361'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	193	,	N'模板文件管理'	,	65	,N'',	N'TempletFile/filelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	5	,	1	,	N''	,	getdate()	,	N''	,	N'FA495CED-B0B7-40B6-84FF-850B29096713'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	194	,	N'广告相关管理'	,	54	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'2A8A3323-7612-4502-8E4C-34D296865381'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	195	,	N'广告管理'	,	194	,N'',	N'Advertisement/adlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'02BFDCEC-E580-4715-A548-7450E55D6300'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	197	,	N'广告位管理'	,	194	,N'',	N'Advertisement/adpostionlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'5103846D-25B8-4D06-8CA9-D73D77BC4F4E'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	200	,	N'站点文件管理'	,	65	,N'',	N'SiteFile/filelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'FA59C5FC-EB17-447C-9E28-41CD14015576'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	201	,	N'附件文件管理'	,	56	,N'',	N'AccessorieFile/filelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'2B219C44-C028-43A2-92FA-0F5732ABD301'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	208	,	N'我的文档'	,	0	,N'',	N'/left.aspx?moduleId=57'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'7E6DA67D-D19E-401F-91E2-EC6BA8A51456'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	217	,	N'个人工具箱'	,	0	,	N'',N'#'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'B67830FE-077C-48F8-B059-CACB9FC18676'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	218	,	N'我的账户'	,	217	,N'',	N'Member/userscoreinfoview.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'186A53C3-EFD7-4E92-8F99-2D50B7479A10'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	219	,	N'积分历史明细'	,	217	,N'',	N'Member/memberpoint.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'2892DD6A-28AE-4F43-9B4A-C063115D7DB5'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	220	,	N'个人资料'	,	0	,N'',	N'#'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'3528BBBC-ABB4-4C1A-8E9D-046353312B94'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	221	,	N'修改安全信息'	,	220	,N'',	N'Member/usersafeinfoedit.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'570A6AA3-5536-4AFA-B0D0-ABA79AFC27EE'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	222	,	N'查看详细信息'	,	220	,N'',	N'Member/userdetailinfoview.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'E3136E1A-CA8B-46AE-B645-722014EC252A'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	223	,	N'修改详细信息'	,	220	,N'',	N'Member/userdetailinfoedit.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'4BF80615-7872-489C-A9C6-E2703E56C99E'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	224	,	N'查看联系信息'	,	220	,N'',	N'Member/userlinkinfoview.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'D2CBE6DD-6AD6-4118-AB3D-33D2B1C650DA'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	225	,	N'修改联系信息'	,	220	,N'',	N'Member/userlinkinfoedit.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'E928857C-BFFB-4B54-ABE8-1D97E31BA2F6'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	226	,	N'我的短信'	,	0	,N'',N'#'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'A07EDBCE-88F2-47AD-9DAE-5360C97BB9FC'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	227	,	N'写短信'	,	226	,N'',	N'Member/membersendmessage.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'841AF36A-36E6-4142-9C75-D95BBB27CE35'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	228	,	N'收件箱'	,	226	,N'',	N'member/memberinbox.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'D12D8D21-7AB6-468C-9162-3DC0AB06902B'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	229	,	N'发件箱'	,	226	,N'',	N'member/membersendbox.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'6FF2C342-5DC9-401A-8621-FC96BCAE66B1'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	230	,	N'草稿箱'	,	226	,N'',	N'member/memberdraftbox.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate(),	N''	,	N'A7A0320C-DFE3-4520-B792-2362767C52B5'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	231	,	N'信息发布'	,	0	,N'',	N'#'	,	N'leftFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'5C951EE0-5E70-44FD-B02B-B7A47722081F'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	232	,	N'查看个性化设置'	,	220	,N'',	N'Member/signatureview.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'6763F0F1-563E-456E-839C-C06E3FCD1EF9'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	233	,	N'修改个性化设置'	,	220	,N'',	N'Member/setsignature.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'C90477A8-FA83-4522-9569-A00A61FA8A14'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	234	,	N'稿件管理'	,	231	,	N'',N'Member/contributelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'ED6D1E5E-4246-409C-BD1E-8B1770D2ADD9'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	235	,	N'书写稿件'	,	231	,N'',	N'/Member/contributeadd.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'7EF82081-9B2E-4A53-B1B6-5EC4888E3B9A'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	236	,	N'查看稿件'	,	231	,N'',	N'/Member/contributeview.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'7650F08C-C44C-499A-A8DC-EF8A04D6E497'	,	0	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	259	,	N'服务器参数查看'	,	56	,N'',	N'/Tools/serverparameter.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'0FDFG573-8FE4-43DF-9116-6A7C06F36C91'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	261	,	N'更新缓存'	,	56	,N'',	N'/CacheManage/cache.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,getdate()	,	N''	,	N'2B219C44-C028-43A2-92FA-0DSA32ABD301'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	262	,	N'重启应用程序池'	,	56	,N'',	N'/Tools/resetAppPool.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'd6be83fe-56e2-49eb-abf3-cb8a29568708'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	268	,	N'头像管理'	,	65	,N'',	N'/UserPic/list.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'e74a050d-38d9-4543-9849-1dd8b303f569'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	273	,	N'许可证管理'	,	56	,N'',	N'Licence/licenceinfo.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'a16db25f-d974-4aeb-8b15-1c213bdde564'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	277	,	N'评论投票组'	,	156	,N'',	N'Comment/votegrouplist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'b7385441-de75-473b-988d-4a7992669666'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	291	,	N'站内信'	,	28	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'26a05695-32c0-489a-b868-c5743e19b273'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	292	,	N'新信息'	,	291	,N'',	N'PrivateMessage/messagesend.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'9cb52ac7-2c55-40db-ab52-36a31766dec8'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	293	,	N'收件箱'	,	291	,N'',	N'PrivateMessage/messagelist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'49411754-e484-445a-8273-563e34c5a2d8'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	294	,	N'发件箱'	,	291	,N'',	N'PrivateMessage/messagesendlist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'37207a68-4033-4d82-90bf-7bf6d5645cbd'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	295	,	N'草稿箱'	,	291	,N'',	N'PrivateMessage/messagedraft.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'5635c16b-d43b-4a80-bed2-b4abb6d4388c'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	302	,	N'书籍类别管理'	,	304	,N'',	N'ebook/categorylist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	20	,	1	,	N''	,getdate()	,	N''	,	N'b4bbd3d0-b72d-424f-923d-814b838bf365'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	303	,	N'电子书籍管理'	,	304	,N'',	N'ebook/booklist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	21	,	1	,	N''	,getdate()	,	N''	,	N'885ca5a5-cc1d-4902-850b-a07cfce2a090'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	304	,	N'电子书管理'	,	54	,N'',	N'#'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	23	,	1	,	N''	,	getdate()	,	N''	,	N'4310ad21-bdf4-4a6b-8ba3-347721da7ef3'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	305	,	N'电子书模块配置'	,	304	,N'',	N'ebook/setting.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'b274c284-da42-494e-98eb-51c2aee1bb14'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	306	,	N'自定义属性'	,	304	,N'',	N'ebook/propertieslist.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	99	,	1	,	N''	,	getdate(),	N''	,	N'62701ab3-8dcc-4dfe-96eb-5cae5de3a058'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	307	,	N'缩略图/水印设置'	,	145	,N'',	N'news/uploadsettings.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'f42f1a77-2a06-45dd-ac5c-76f2127d762d'	,	1	,	0	,	0	)
insert koo_Module(ModuleId,ModuleName,ParentId,ChildIds,NavigateUrl,Target,ModuleType,BigPictureUrl,SmallPictureUrl,ShowOrder,ModuleState,Owner,CreateDate,InstallGuid,ResGuid,IsAdminModule,IsSystem,IsContentContainer) values(	310	,	N'常量管理'	,	65	,N'',	N'variables/list.aspx'	,	N'mainFrame'	,	0	,	N'images/item.gif'	,	N'images/item.gif'	,	0	,	1	,	N''	,	getdate()	,	N''	,	N'98d08abf-c3ce-42b0-a79e-6d574916547c'	,	1	,	0	,	0	)

SET IDENTITY_INSERT koo_Module OFF


SET IDENTITY_INSERT koo_Operation ON
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	275	,	N'查看'	,	N''	,	N''	,	N'COMMENT_VOTE_VIEW'	,	N'b7385441-de75-473b-988d-4a7992669666'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	276	,	N'管理'	,	N''	,	N''	,	N'COMMENT_VOTE_MANAGE'	,	N'b7385441-de75-473b-988d-4a7992669666'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	301	,	N'查看'	,	N'查看专题'	,	N''	,	N'SPECIAL_VIEW'	,	N'13DE2765-93FD-4726-B4F1-966648B4BD9D'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	302	,	N'管理'	,	N''	,	N''	,	N'SPECIAL_MANAGE'	,	N'13DE2765-93FD-4726-B4F1-966648B4BD9D'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	303	,	N'专题内容管理'	,	N''	,	N''	,	N'SPECIAL_CONTENTMANAGE'	,	N'13DE2765-93FD-4726-B4F1-966648B4BD9D'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	304	,	N'添加内容到专题'	,	N''	,	N''	,	N'SPECIAL_ADDCONTENTTOSPECIAL'	,	N'13DE2765-93FD-4726-B4F1-966648B4BD9D'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	305	,	N'查看表单'	,	N''	,	N''	,	N'PERSONALIZEDFORM_VIEW'	,	N'CBC59B34-DBA0-4AC6-AD78-CE3CB048F870'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	306	,	N'管理表单'	,	N''	,	N''	,	N'PERSONALIZEDFORM_MANAGE'	,	N'CBC59B34-DBA0-4AC6-AD78-CE3CB048F870'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	307	,	N'查看表单数据'	,	N''	,	N''	,	N'PERSONALIZEDFORM_DATA_VIEW'	,	N'CBC59B34-DBA0-4AC6-AD78-CE3CB048F870'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	308	,	N'管理表单数据'	,	N''	,	N''	,	N'PERSONALIZEDFORM_DATA_MANAGE'	,	N'CBC59B34-DBA0-4AC6-AD78-CE3CB048F870'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	309	,	N'查看'	,	N''	,	N''	,	N'PERSONALIZEDFIELD_VIEW'	,	N'457F4BB3-111A-4459-A3AE-076B1C38E8B5'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	310	,	N'管理'	,	N''	,	N''	,	N'PERSONALIZEDFIELD_MANAGE'	,	N'457F4BB3-111A-4459-A3AE-076B1C38E8B5'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	311	,	N'查看'	,	N''	,	N''	,	N'SURVEY_VIEW'	,	N'40495D27-4BB3-4A36-9E73-F4F206117F92'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	312	,	N'管理'	,	N''	,	N''	,	N'SURVEY_MANAGE'	,	N'40495D27-4BB3-4A36-9E73-F4F206117F92'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	313	,	N'查看调查数据'	,	N''	,	N''	,	N'SURVEY_DATA_VIEW'	,	N'40495D27-4BB3-4A36-9E73-F4F206117F92'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	314	,	N'管理调查数据'	,	N''	,	N''	,	N'SURVEY_DATA_MANAGE'	,	N'40495D27-4BB3-4A36-9E73-F4F206117F92'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	315	,	N'查看'	,	N''	,	N''	,	N'POINTCARD_VIEW'	,	N'F3C35BFE-6096-4F2A-85AE-F72A70F6CA98'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	316	,	N'管理'	,	N''	,	N''	,	N'POINTCARD_MANAGE'	,	N'F3C35BFE-6096-4F2A-85AE-F72A70F6CA98'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	317	,	N'充值'	,	N''	,	N''	,	N'POINTCARD_CHARGE'	,	N'F3C35BFE-6096-4F2A-85AE-F72A70F6CA98'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	318	,	N'查看'	,	N''	,	N''	,	N'POINTCARDTYPE_VIEW'	,	N'56AC4A17-EC6D-433D-83A9-3EBA4C9B81D3'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	319	,	N'管理'	,	N''	,	N''	,	N'POINTCARDTYPE_MANAGE'	,	N'56AC4A17-EC6D-433D-83A9-3EBA4C9B81D3'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	320	,	N'查看'	,	N''	,	N''	,	N'COMMENT_VIEW'	,	N'24029C04-7BD2-460C-9A9F-4B9622589361'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	321	,	N'管理'	,	N''	,	N''	,	N'COMMENT_MANAGE'	,	N'24029C04-7BD2-460C-9A9F-4B9622589361'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	322	,	N'查看'	,	N''	,	N''	,	N'CONTENTSURVEY_VIEW'	,	N'5BE31C4A-2E37-416F-8355-70C73ADCE93F'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	323	,	N'管理'	,	N''	,	N''	,	N'CONTENTSURVEY_MANAGE'	,	N'5BE31C4A-2E37-416F-8355-70C73ADCE93F'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	327	,	N'查看分类'	,	N''	,	N''	,	N'LINKCLASS_VIEW'	,	N'199C4133-1E1C-418B-9253-1E673310A41C'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	328	,	N'管理分类'	,	N''	,	N''	,	N'LINKCLASS_MANAGE'	,	N'199C4133-1E1C-418B-9253-1E673310A41C'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	329	,	N'查看链接'	,	N''	,	N''	,	N'LINK_VIEW'	,	N'199C4133-1E1C-418B-9253-1E673310A41C'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	330	,	N'管理链接'	,	N''	,	N''	,	N'LINK_MANAGE'	,	N'199C4133-1E1C-418B-9253-1E673310A41C'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	331	,	N'生成首页'	,	N''	,	N''	,	N'PUBLISH_INDEXPAGE'	,	N'980DC395-6ABB-4A0E-ABE0-21F168D41F99'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	332	,	N'生成栏目页'	,	N''	,	N''	,	N'PUBLISH_COLUMN'	,	N'30717FED-CD97-4951-BDF2-CC83E3C74E8D'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	333	,	N'生成专题页'	,	N''	,	N''	,	N'PUBLISH_SPECIAL'	,	N'9568E6D3-C052-49E8-99E5-D98E7BF1FAB9'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	334	,	N'生成内容页'	,	N''	,	N''	,	N'PUBLISH_CONTENT'	,	N'0DAC6216-1964-414A-B736-933419199B72'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	335	,	N'查看广告位'	,	N''	,	N''	,	N'ADS_POSITION_VIEW'	,	N'5103846D-25B8-4D06-8CA9-D73D77BC4F4E'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	336	,	N'管理广告位'	,	N''	,	N''	,	N'ADS_POSITION_MANAGE'	,	N'5103846D-25B8-4D06-8CA9-D73D77BC4F4E'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	337	,	N'查看广告'	,	N''	,	N''	,	N'ADS_VIEW'	,	N'02BFDCEC-E580-4715-A548-7450E55D6300'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	338	,	N'管理广告'	,	N''	,	N''	,	N'ADS_MANAGE'	,	N'02BFDCEC-E580-4715-A548-7450E55D6300'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	339	,	N'查看'	,	N''	,	N''	,	N'SITEFILE_VIEW'	,	N'FA59C5FC-EB17-447C-9E28-41CD14015576'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	340	,	N'管理'	,	N''	,	N''	,	N'SITEFILE_MANAGE'	,	N'FA59C5FC-EB17-447C-9E28-41CD14015576'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	341	,	N'查看头像'	,	N''	,	N''	,	N'AVATAR_VIEW'	,	N'e74a050d-38d9-4543-9849-1dd8b303f569'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	342	,	N'管理头像'	,	N''	,	N''	,	N'AVATAR_MANAGE'	,	N'e74a050d-38d9-4543-9849-1dd8b303f569'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	343	,	N'管理'	,	N''	,	N''	,	N'SITE_SETTING'	,	N'9AF92E79-DED4-4CCF-9006-C172A908039C'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	344	,	N'查看'	,	N''	,	N''	,	N'COLUMN_VIEW'	,	N'0F32D573-8FE4-43DF-9116-6A7C06F36C91'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	345	,	N'管理'	,	N''	,	N''	,	N'COLUMN_MANAGE'	,	N'0F32D573-8FE4-43DF-9116-6A7C06F36C91'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	346	,	N'管理'	,	N''	,	N''	,	N'RELEASESETTINGS'	,	N'A5E85749-6FB7-43D6-8FB7-E899B3669A08'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	347	,	N'管理'	,	N''	,	N''	,	N'RELEASEADVANCESETTINGS'	,	N'8EEE18A8-2A32-4121-85B7-14ABC4F36AE2'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	348	,	N'查看'	,	N''	,	N''	,	N'TEMPLATE_VIEW'	,	N'FA495CED-B0B7-40B6-84FF-850B29096713'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	349	,	N'管理'	,	N''	,	N''	,	N'TEMPLATE_MANAGE'	,	N'FA495CED-B0B7-40B6-84FF-850B29096713'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	350	,	N'查看'	,	N''	,	N''	,	N'ROLES_VIEW'	,	N'B92FE07F-83D9-41C3-921D-26D17EE01C15'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	351	,	N'管理'	,	N''	,	N''	,	N'ROLES_MANAGE'	,	N'B92FE07F-83D9-41C3-921D-26D17EE01C15'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	352	,	N'管理'	,	N''	,	N''	,	N'REGISTER_SETTING'	,	N'EA35D2E6-62C5-4B98-A51B-71CF29D3FE9F'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	353	,	N'查看'	,	N''	,	N''	,	N'SCORE_VIEW'	,	N'2ABF9B2B-4384-4675-A542-E83CC7944D3D'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	354	,	N'管理'	,	N''	,	N''	,	N'SCORE_MANAGE'	,	N'2ABF9B2B-4384-4675-A542-E83CC7944D3D'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	355	,	N'查看'	,	N''	,	N''	,	N'MEMBERSHIP_VIEW'	,	N'F1BA946B-B073-401F-A7B1-E277A531A852'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	356	,	N'管理'	,	N''	,	N''	,	N'MEMBERSHIP_MANAGE'	,	N'F1BA946B-B073-401F-A7B1-E277A531A852'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	357	,	N'发送邮件'	,	N''	,	N''	,	N'MEMBERSHIP_SENDMAIL'	,	N'F1BA946B-B073-401F-A7B1-E277A531A852'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	358	,	N'查看'	,	N''	,	N''	,	N'SITE_VIEW'	,	N'EA7E65B5-3792-4760-A3A0-CB79956C3790'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	359	,	N'管理'	,	N''	,	N''	,	N'SITE_MANAGE'	,	N'EA7E65B5-3792-4760-A3A0-CB79956C3790'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	362	,	N'管理'	,	N''	,	N''	,	N'MAILSETTING_MANAGE'	,	N'6EEDE801-7956-4383-9794-4E711E5B51C7'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	363	,	N'查看'	,	N''	,	N''	,	N'ACCESSORIESERVER_VIEW'	,	N'7E661424-3886-42F5-803C-464D9BEE1E96'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	364	,	N'管理'	,	N''	,	N''	,	N'ACCESSORIESERVER_MANAGE'	,	N'7E661424-3886-42F5-803C-464D9BEE1E96'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	366	,	N'查看'	,	N''	,	N''	,	N'NEWSAUTHOR_VIEW'	,	N'FA1E40D0-7EBA-46FC-AF47-EBE3849EB2C3'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	367	,	N'管理'	,	N''	,	N''	,	N'NEWSAUTHOR_MANAGE'	,	N'FA1E40D0-7EBA-46FC-AF47-EBE3849EB2C3'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	369	,	N'查看'	,	N''	,	N''	,	N'NEWSPROPERTIES_VIEW'	,	N'822AABAA-9BFB-4CD5-AAFB-C6A8D5B2CD25'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	370	,	N'管理'	,	N''	,	N''	,	N'NEWSPROPERTIES_MANAGE'	,	N'822AABAA-9BFB-4CD5-AAFB-C6A8D5B2CD25'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	371	,	N'查看'	,	N''	,	N''	,	N'NEWSSOURCE_VIEW'	,	N'06ED2CBE-1226-4572-81B4-82A97F673785'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	372	,	N'管理'	,	N''	,	N''	,	N'NEWSSOURCE_MANAGE'	,	N'06ED2CBE-1226-4572-81B4-82A97F673785'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	373	,	N'查看'	,	N''	,	N''	,	N'NEWTAG_VIEW'	,	N'6E121849-9877-4C74-8F95-ED9E8377AB65'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	374	,	N'管理'	,	N''	,	N''	,	N'NEWTAG_MANAGE'	,	N'6E121849-9877-4C74-8F95-ED9E8377AB65'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	375	,	N'查看'	,	N''	,	N''	,	N'ACCESSORIEFILE_VIEW'	,	N'2B219C44-C028-43A2-92FA-0F5732ABD301'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	376	,	N'管理'	,	N''	,	N''	,	N'ACCESSORIEFILE_MANAGE'	,	N'2B219C44-C028-43A2-92FA-0F5732ABD301'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	377	,	N'查看'	,	N''	,	N''	,	N'MACHINE_VIEW'	,	N'0FDFG573-8FE4-43DF-9116-6A7C06F36C91'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	378	,	N'管理'	,	N''	,	N''	,	N'CACHE_MANAGE'	,	N'2B219C44-C028-43A2-92FA-0DSA32ABD301'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	379	,	N'管理'	,	N''	,	N''	,	N'APPLICATION_RESET'	,	N'd6be83fe-56e2-49eb-abf3-cb8a29568708'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	380	,	N'查看'	,	N''	,	N''	,	N'LICENCE_VIEW'	,	N'a16db25f-d974-4aeb-8b15-1c213bdde564'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	381	,	N'管理'	,	N''	,	N''	,	N'LICENCE_MANAGE'	,	N'a16db25f-d974-4aeb-8b15-1c213bdde564'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	382	,	N'查看'	,	N''	,	N''	,	N'SYSTEMLOG_VIEW'	,	N'5E0737B5-05DD-4AAC-8BE2-B973CD55CC22'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	383	,	N'管理'	,	N''	,	N''	,	N'SYSTEMLOG_MANAGE'	,	N'5E0737B5-05DD-4AAC-8BE2-B973CD55CC22'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	387	,	N'管理'	,	N''	,	N''	,	N'UPLOAD_SETTING'	,	N'A152DFA2-31A7-4254-B8BE-678AC0E0A490'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	388	,	N'查看'	,	N''	,	N''	,	N'USERLOG_VIEW'	,	N'A6ADABFF-4CC9-46AC-AD26-967E048EC943'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	389	,	N'管理'	,	N''	,	N''	,	N'USERLOG_MANAGE'	,	N'A6ADABFF-4CC9-46AC-AD26-967E048EC943'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	408	,	N'查看'	,	N''	,	N''	,	N'CATEGORY_VIEW'	,	N'b4bbd3d0-b72d-424f-923d-814b838bf365'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	409	,	N'管理'	,	N''	,	N''	,	N'CATEGORY_MANAGE'	,	N'b4bbd3d0-b72d-424f-923d-814b838bf365'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	410	,	N'查看'	,	N''	,	N''	,	N'EBOOK_VIEW'	,	N'885ca5a5-cc1d-4902-850b-a07cfce2a090'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	411	,	N'管理'	,	N''	,	N''	,	N'EBOOK_MANAGE'	,	N'885ca5a5-cc1d-4902-850b-a07cfce2a090'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	412	,	N'查看'	,	N''	,	N''	,	N'SETTING_VIEW'	,	N'b274c284-da42-494e-98eb-51c2aee1bb14'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	413	,	N'管理'	,	N''	,	N''	,	N'SETTING_MANAGE'	,	N'b274c284-da42-494e-98eb-51c2aee1bb14'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	414	,	N'查看'	,	N''	,	N''	,	N'EBOOKPROPERTIES_VIEW'	,	N'62701ab3-8dcc-4dfe-96eb-5cae5de3a058'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	415	,	N'管理'	,	N''	,	N''	,	N'EBOOKPROPERTIES_MANAGE'	,	N'62701ab3-8dcc-4dfe-96eb-5cae5de3a058'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	416	,	N'查看'	,	N''	,	N''	,	N'UPLOAD_SETTING_VIEW'	,	N'f42f1a77-2a06-45dd-ac5c-76f2127d762d'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	417	,	N'管理'	,	N''	,	N''	,	N'UPLOAD_SETTING_MANAGE'	,	N'f42f1a77-2a06-45dd-ac5c-76f2127d762d'	)
insert koo_Operation(OperationId,OperationName,Description,ModuleType,OperationCode,ModuleGuid) values(	424	,	N'管理'	,	N''	,	N''	,	N'VAL_MANAGE'	,	N'98d08abf-c3ce-42b0-a79e-6d574916547c'	)

SET IDENTITY_INSERT koo_Operation OFF
