﻿if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_SiteInfo')
            and   type = 'U')
   drop table dbo.koo_SiteInfo
GO
 
create table dbo.koo_SiteInfo (
   SiteId               int                  identity(1, 1),
   SiteName             nvarchar(20)         collate Chinese_PRC_CI_AS not null,
   AbsoluteUrl          nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   VirtualPath          nvarchar(256)        not null,
   IsAbsoluteUrl        bit                  not null,
   PhysicalPath         nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   DefaultHtmlPage      nvarchar(256)        not null,
   ColumnDefaultName    nvarchar(256)        not null,
   ColumnPathType       int                  not null,
   SpecialPathType      int                  not null,
   SpecialDefaultName   nvarchar(256)        not null,
   IsDynamicView        bit                  not null,
   TemplatePath         nvarchar(500)        not null,
   IndexTempatePage     nvarchar(500)        not null,
   ReleaseConfigInfoCollection ntext                not null,
   constraint PK_koo_Site primary key (SiteId)
         on "PRIMARY"
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '站点信息表',
   'user', 'dbo', 'table', 'koo_SiteInfo'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'SiteId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '站点名称',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'SiteName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '站点路径',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'AbsoluteUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '相对路径',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'VirtualPath'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否使用绝对路径',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'IsAbsoluteUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '站点物理路径',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'PhysicalPath'
GO

execute sp_addextendedproperty 'MS_Description', 
   '首页文件名',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'DefaultHtmlPage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目页文件名',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'ColumnDefaultName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '生成栏目页的保存目录类型
     0 站点根目录 1上级目录',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'ColumnPathType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '生成专题页的保存目录类型
   0 站点根目录 1上级目录',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'SpecialPathType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '专题页默认文件名',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'SpecialDefaultName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '首页是否动态浏览',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'IsDynamicView'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模板基路径',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'TemplatePath'
GO

execute sp_addextendedproperty 'MS_Description', 
   '首页模板',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'IndexTempatePage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '生成配置信息',
   'user', 'dbo', 'table', 'koo_SiteInfo', 'column', 'ReleaseConfigInfoCollection'
GO

 
if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_Column')
            and   type = 'U')
   drop table dbo.koo_Column
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_CustomFields')
            and   type = 'U')
   drop table koo_CustomFields
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_CustomFieldsData')
            and   type = 'U')
   drop table koo_CustomFieldsData
GO

 

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_Special')
            and   type = 'U')
   drop table koo_Special
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_SpecialContent')
            and   type = 'U')
   drop table koo_SpecialContent
GO

 
create table dbo.koo_Column (
   ColumnId             int                  identity(1, 1),
   ParentID             int                  not null,
   ColumnCName          nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   ChildIDList          ntext                collate Chinese_PRC_CI_AS not null,
   ModelID              int                  not null,
   ColumnAlias          nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   ColumnType           int                  not null,
   URLaddress           nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   ShowOrder            int                  not null,
   ListHtmlTempletPage  nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   ListDynamicTempletPage nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   ContentHtmlTempletPage nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   ContentDynamicTempletPage nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   ColumnHtmlPath       nvarchar(1000)       collate Chinese_PRC_CI_AS not null,
   ColumnHtmlPageName   nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   ContentHtmlPagePathRule nvarchar(1000)       collate Chinese_PRC_CI_AS not null,
   IsEnable             bit                  not null,
   ShowInNavigator      bit                  not null,
   NaviPicture          nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   NaviPosition         ntext                collate Chinese_PRC_CI_AS not null,
   ContentPosition      ntext                collate Chinese_PRC_CI_AS not null,
   Introduction         ntext                collate Chinese_PRC_CI_AS not null,
   AllowContribute      bit                  not null,
   VoteGroup            nvarchar(50)         not null,
   AllowComment         bit                  not null,
   MetaKeywords         nvarchar(120)        collate Chinese_PRC_CI_AS not null,
   MetaDescription      nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   IsListDynamicView    bit                  not null,
   IsContentDynamicView bit                  not null,
   IsHtmlCreated        bit                  not null,
   PurviewType          int                  not null,
   Creator              nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   Settings             ntext                collate Chinese_PRC_CI_AS not null,
   ItemCount            int                  not null,
   AllowContent         bit                  not null,
   FieldClassId         int                  not null,
   ResGuid              nvarchar(50)         not null,
   ColumnCode           nvarchar(50)         not null,
   constraint PK_koo_Column primary key (ColumnId)
         on "PRIMARY" 
)
on "PRIMARY"
textimage_on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '系统栏目表',
   'user', 'dbo', 'table', 'koo_Column'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ColumnId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '上级栏目ID',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ParentID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目名称',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ColumnCName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '子栏目列表,用半角逗号隔开',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ChildIDList'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目模型ID',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ModelID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目别名,保留字段,只在特殊情况下可用',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ColumnAlias'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否链接栏目',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ColumnType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目链接地址',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'URLaddress'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目权重，默认为0,值越大越靠前',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ShowOrder'
GO

execute sp_addextendedproperty 'MS_Description', 
   '静态列表页模板',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ListHtmlTempletPage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '动态列表页模板',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ListDynamicTempletPage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '默认静态内容页模板',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ContentHtmlTempletPage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '默认动态内容页模板',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ContentDynamicTempletPage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目页静态文件保存目录',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ColumnHtmlPath'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目静态页文件名',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ColumnHtmlPageName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目页静态文件保存目录',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ContentHtmlPagePathRule'
GO

execute sp_addextendedproperty 'MS_Description', 
   '启用标识,0为未启用,1为已启用',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'IsEnable'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否在导航中显示',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ShowInNavigator'
GO

execute sp_addextendedproperty 'MS_Description', 
   '导航图片路径',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'NaviPicture'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目导航',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'NaviPosition'
GO

execute sp_addextendedproperty 'MS_Description', 
   '内容页导航',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ContentPosition'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目导读',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'Introduction'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否允许投稿',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'AllowContribute'
GO

execute sp_addextendedproperty 'MS_Description', 
   '评论投票组',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'VoteGroup'
GO

execute sp_addextendedproperty 'MS_Description', 
   '默认是否允许评论,1为允许,0为不允许',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'AllowComment'
GO

execute sp_addextendedproperty 'MS_Description', 
   'Meta关键字',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'MetaKeywords'
GO

execute sp_addextendedproperty 'MS_Description', 
   'Meta描述',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'MetaDescription'
GO

execute sp_addextendedproperty 'MS_Description', 
   '列表页是否动态浏览',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'IsListDynamicView'
GO

execute sp_addextendedproperty 'MS_Description', 
   '内容页是否动态浏览',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'IsContentDynamicView'
GO

execute sp_addextendedproperty 'MS_Description', 
   '标识是否已生成栏目静态页面',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'IsHtmlCreated'
GO

execute sp_addextendedproperty 'MS_Description', 
   '权限,1为开放浏览,2为要求登录,3为要求其他认证',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'PurviewType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建者',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'Creator'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目的其他设置,以XML格式保存',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'Settings'
GO

execute sp_addextendedproperty 'MS_Description', 
   '文章数',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ItemCount'
GO

execute sp_addextendedproperty 'MS_Description', 
   '该栏目是否允许添加内容',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'AllowContent'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自定义字段分类ID,默认为0',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'FieldClassId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '模块标识',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ResGuid'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目自定义编号',
   'user', 'dbo', 'table', 'koo_Column', 'column', 'ColumnCode'
GO

 
create table koo_CustomFields (
   FieldClassId         int                  identity,
   ClassName            nvarchar(50)         not null,
   FieldsDefine         ntext                not null,
   constraint PK_koo_CUSTOMFIELDS primary key (FieldClassId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义字段表',
   'user', 'dbo', 'table', 'koo_CustomFields'
GO



execute sp_addextendedproperty 'MS_Description', 
   '分类ID',
   'user', 'dbo', 'table', 'koo_CustomFields', 'column', 'FieldClassId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '分类名称',
   'user', 'dbo', 'table', 'koo_CustomFields', 'column', 'ClassName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '字段定义',
   'user', 'dbo', 'table', 'koo_CustomFields', 'column', 'FieldsDefine'
GO
 
create table koo_CustomFieldsData (
   ID                   int                  identity,
   ContentId            int                  not null,
   ModelId              int                  not null,
   FieldClassId         int                  not null,
   FieldName            nvarchar(128)        not null,
   FieldValue           nvarchar(4000)       not null,
   constraint PK_koo_CUSTOMFIELDSDATA primary key (ID)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义字段数据表',
   'user', 'dbo', 'table', 'koo_CustomFieldsData'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_CustomFieldsData', 'column', 'ID'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容记录ID',
   'user', 'dbo', 'table', 'koo_CustomFieldsData', 'column', 'ContentId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模型ID',
   'user', 'dbo', 'table', 'koo_CustomFieldsData', 'column', 'ModelId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义字段分类ID',
   'user', 'dbo', 'table', 'koo_CustomFieldsData', 'column', 'FieldClassId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '字段名',
   'user', 'dbo', 'table', 'koo_CustomFieldsData', 'column', 'FieldName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '字段值',
   'user', 'dbo', 'table', 'koo_CustomFieldsData', 'column', 'FieldValue'
GO
 

 
create table koo_Special (
   SpecialId            int                  identity,
   SpecialName          nvarchar(50)         not null,
   ParentID             int                  not null,
   ChildIDList          ntext                not null,
   IsURL                bit                  not null,
   URLaddress           nvarchar(256)        not null,
   ShowOrder            int                  not null,
   ListHtmlTempletPage  nvarchar(256)        not null,
   ListDynamicTempletPage nvarchar(256)        not null,
   SpecialHtmlPath      nvarchar(256)        not null,
   SpecialHtmlPageName  nvarchar(256)        not null,
   IsEnable             bit                  not null,
   NaviPicture          nvarchar(256)        not null,
   NaviPosition         ntext                not null,
   Introduction         ntext                not null,
   MetaKeywords         nvarchar(120)        not null,
   MetaDescription      nvarchar(500)        not null,
   IsDynamicList        bit                  not null,
   IsHtmlCreated        bit                  not null,
   PurviewType          int                  not null,
   RoleIds              ntext                not null,
   Creator              nvarchar(256)        not null,
   ItemCount            int                  not null,
   AllowContent         bit                  not null,
   SpecialCode          nvarchar(50)         not null,
   AllowComment         bit                  not null,
   CommentRequireAudit  bit                  not null,
   CommentCount         int                  not null,
   VoteGroup            nvarchar(50)         not null,
   IssueDate            datetime             not null,
   constraint PK_koo_SPECIAL primary key (SpecialId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题表',
   'user', 'dbo', 'table', 'koo_Special'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题ID',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'SpecialId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题名称',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'SpecialName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '上级专题ID',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'ParentID'
GO



execute sp_addextendedproperty 'MS_Description', 
   '子专题列表，用半角逗号分隔',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'ChildIDList'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否链接专题',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'IsURL'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题链接地址',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'URLaddress'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题权重',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'ShowOrder'
GO



execute sp_addextendedproperty 'MS_Description', 
   '静态列表页模板',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'ListHtmlTempletPage'
GO



execute sp_addextendedproperty 'MS_Description', 
   '动态列表页模板',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'ListDynamicTempletPage'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题页静态文件保存目录',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'SpecialHtmlPath'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题页静态文件名',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'SpecialHtmlPageName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否启用',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'IsEnable'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题导航图片',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'NaviPicture'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题导航',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'NaviPosition'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题导读',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'Introduction'
GO



execute sp_addextendedproperty 'MS_Description', 
   'Meta关键字',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'MetaKeywords'
GO



execute sp_addextendedproperty 'MS_Description', 
   'Meta描述',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'MetaDescription'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否动态浏览',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'IsDynamicList'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否已生成专题静态页面',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'IsHtmlCreated'
GO



execute sp_addextendedproperty 'MS_Description', 
   '权限，1为开放浏鉴，2为要求登录，3为指定用户组',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'PurviewType'
GO



execute sp_addextendedproperty 'MS_Description', 
   '允许用户组列表,用逗号分隔',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'RoleIds'
GO



execute sp_addextendedproperty 'MS_Description', 
   '创建者',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'Creator'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容数',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'ItemCount'
GO



execute sp_addextendedproperty 'MS_Description', 
   '该专题是否允许添加内容',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'AllowContent'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题编号',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'SpecialCode'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否允许评论',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'AllowComment'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论是否需要审核',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'CommentRequireAudit'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论数',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'CommentCount'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论投票组',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'VoteGroup'
GO



execute sp_addextendedproperty 'MS_Description', 
   '发布日期',
   'user', 'dbo', 'table', 'koo_Special', 'column', 'IssueDate'
GO

 
create table koo_SpecialContent (
   ID                   int                  identity,
   SpecialId            int                  not null,
   ContentId            int                  not null,
   ModelId              int                  not null,
   Title                nvarchar(100)        not null,
   UrlAddresss          nvarchar(256)        not null,
   ShowOrder            int                  not null,
   constraint PK_koo_SPECIALCONTENT primary key (ID)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题内容表',
   'user', 'dbo', 'table', 'koo_SpecialContent'
GO



execute sp_addextendedproperty 'MS_Description', 
   '记录ID',
   'user', 'dbo', 'table', 'koo_SpecialContent', 'column', 'ID'
GO



execute sp_addextendedproperty 'MS_Description', 
   '专题Id',
   'user', 'dbo', 'table', 'koo_SpecialContent', 'column', 'SpecialId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容记录Id',
   'user', 'dbo', 'table', 'koo_SpecialContent', 'column', 'ContentId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模型Id',
   'user', 'dbo', 'table', 'koo_SpecialContent', 'column', 'ModelId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '标题',
   'user', 'dbo', 'table', 'koo_SpecialContent', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '链接地址',
   'user', 'dbo', 'table', 'koo_SpecialContent', 'column', 'UrlAddresss'
GO



execute sp_addextendedproperty 'MS_Description', 
   '权重',
   'user', 'dbo', 'table', 'koo_SpecialContent', 'column', 'ShowOrder'
GO
if exists (select 1
            from  sysobjects
           where  id = object_id('koo_VariableInfo')
            and   type = 'U')
   drop table koo_VariableInfo
GO
 
create table koo_VariableInfo (
   Id                   int                  identity,
   Name                 nvarchar(100)        not null,
   ParentId             int        not null,
   Content              ntext                not null,
   Descriptiion         nvarchar(500)        not null,
   IsParent             bit                  not null,
   constraint PK_koo_VARIABLEINFO primary key (Id)
)
GO
 

execute sp_addextendedproperty 'MS_Description', 
   '变量表',
   'user', 'dbo', 'table', 'koo_VariableInfo'
GO


select 'dbo' = user_name()
execute sp_addextendedproperty 'MS_Description', 
   '自动Id',
   'user', 'dbo', 'table', 'koo_VariableInfo', 'column', 'Id'
GO


select 'dbo' = user_name()
execute sp_addextendedproperty 'MS_Description', 
   '标识名称',
   'user', 'dbo', 'table', 'koo_VariableInfo', 'column', 'Name'
GO


select 'dbo' = user_name()
execute sp_addextendedproperty 'MS_Description', 
   '上级Id',
   'user', 'dbo', 'table', 'koo_VariableInfo', 'column', 'ParentId'
GO


select 'dbo' = user_name()
execute sp_addextendedproperty 'MS_Description', 
   '内容',
   'user', 'dbo', 'table', 'koo_VariableInfo', 'column', 'Content'
GO


select 'dbo' = user_name()
execute sp_addextendedproperty 'MS_Description', 
   '说明',
   'user', 'dbo', 'table', 'koo_VariableInfo', 'column', 'Descriptiion'
GO


select 'dbo' = user_name()
execute sp_addextendedproperty 'MS_Description', 
   '是否集合',
   'user', 'dbo', 'table', 'koo_VariableInfo', 'column', 'IsParent'
GO

