﻿

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_Log')
            and   type = 'U')
   drop table koo_Log
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_UserLog')
            and   type = 'U')
   drop table koo_UserLog
GO


create table koo_Log (
   LogId                int                  identity,
   LogType              int                  not null,
   Message              ntext                not null,
   LogTime              datetime             not null,
    IP              varchar(40)              not null,
   Url                  nvarchar(500)        not null,
   constraint PK_koo_LOG primary key (LogId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '系统日志表',
   'user', 'dbo', 'table', 'koo_Log'
GO



execute sp_addextendedproperty 'MS_Description', 
   '编号',
   'user', 'dbo', 'table', 'koo_Log', 'column', 'LogId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '1为消息,2为警告,3为错误',
   'user', 'dbo', 'table', 'koo_Log', 'column', 'LogType'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容',
   'user', 'dbo', 'table', 'koo_Log', 'column', 'Message'
GO



execute sp_addextendedproperty 'MS_Description', 
   '时间',
   'user', 'dbo', 'table', 'koo_Log', 'column', 'LogTime'
GO



execute sp_addextendedproperty 'MS_Description', 
   '页面地址',
   'user', 'dbo', 'table', 'koo_Log', 'column', 'Url'
GO


create table koo_UserLog (
   LogId                int                  identity,
   Title                nvarchar(50)         not null,
   Content              ntext                not null,
   Success              bit                  not null,
   LogDate              datetime             not null,
   IP                   nvarchar(20)         not null,
   UserName             nvarchar(256)        not null,
   IsManage             bit                  not null,
   constraint PK_koo_USERLOG primary key (LogId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '操作日志表',
   'user', 'dbo', 'table', 'koo_UserLog'
GO



execute sp_addextendedproperty 'MS_Description', 
   '日志编号',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'LogId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '日志标题',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '日志内容',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'Content'
GO



execute sp_addextendedproperty 'MS_Description', 
   '操作成功/失败',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'Success'
GO



execute sp_addextendedproperty 'MS_Description', 
   '日志时间',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'LogDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   'IP地址',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'IP'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户名',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'UserName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '日志类型:是否后台操作',
   'user', 'dbo', 'table', 'koo_UserLog', 'column', 'IsManage'
GO

