﻿if exists (select 1
            from  sysobjects
           where  id = object_id('koo_PrivateMessage')
            and   type = 'U')
   drop table koo_PrivateMessage
GO

create table koo_PrivateMessage (
   Messageid            int                  identity,
   Sender               nvarchar(256)        not null,
   Recipient            nvarchar(256)        not null,
   SenderId             int                  not null,
   RecipientId          int                  not null,
   Subject              nvarchar(100)        not null,
   Content              ntext                not null,
   SendDate             datetime             not null,
   Folder               int                  not null,
   IsRead               bit                  not null,
   Files                ntext                not null,
   constraint PK_koo_PRIVATEMESSAGE primary key (Messageid)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '短消息表',
   'user', 'dbo', 'table', 'koo_PrivateMessage'
GO



execute sp_addextendedproperty 'MS_Description', 
   '消息Id',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'Messageid'
GO



execute sp_addextendedproperty 'MS_Description', 
   '发信人',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'Sender'
GO



execute sp_addextendedproperty 'MS_Description', 
   '收信人',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'Recipient'
GO



execute sp_addextendedproperty 'MS_Description', 
   '发信人Id',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'SenderId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '收信人Id',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'RecipientId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '标题',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'Subject'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'Content'
GO



execute sp_addextendedproperty 'MS_Description', 
   '发送时间',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'SendDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   '0为草稿箱,1为发件箱,2为收件箱',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'Folder'
GO



execute sp_addextendedproperty 'MS_Description', 
   '已读标识',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'IsRead'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件id,多个id用半角逗号分隔',
   'user', 'dbo', 'table', 'koo_PrivateMessage', 'column', 'Files'
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_PrivateMessageFile')
            and   type = 'U')
   drop table koo_PrivateMessageFile
GO

create table koo_PrivateMessageFile (
   FileId               uniqueidentifier     not null,
   Description          nvarchar(500)        not null,
   FileName             nvarchar(256)        not null,
   Content              image                not null,
   FileSize             int                  not null,
   Creator              nvarchar(256)        not null,
   IsUse                bit                  not null,
   constraint PK_koo_PRIVATEMESSAGEFILE primary key (FileId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '短消息附件表',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件Id',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile', 'column', 'FileId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件名称',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile', 'column', 'Description'
GO



execute sp_addextendedproperty 'MS_Description', 
   '原始文件名',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile', 'column', 'FileName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件内容',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile', 'column', 'Content'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件字节数',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile', 'column', 'FileSize'
GO



execute sp_addextendedproperty 'MS_Description', 
   '创建人',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile', 'column', 'Creator'
GO


execute sp_addextendedproperty 'MS_Description', 
   '是否使用',
   'user', 'dbo', 'table', 'koo_PrivateMessageFile', 'column', 'IsUse'
GO
