﻿

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_News')
            and   type = 'U')
   drop table dbo.koo_News
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_NewsAuthor')
            and   type = 'U')
   drop table koo_NewsAuthor
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_NewsProperties')
            and   type = 'U')
   drop table koo_NewsProperties
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_NewsRelations')
            and   type = 'U')
   drop table koo_NewsRelations
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_NewsSource')
            and   type = 'U')
   drop table koo_NewsSource
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_NewsTag')
            and   type = 'U')
   drop table koo_NewsTag
GO
 
create table dbo.koo_News (
   NewsId               int                  identity(1, 1),
   ColumnId             int                  not null,
   RedirectUrl          nvarchar(500)        not null,
   Title                nvarchar(100)        collate Chinese_PRC_CI_AS not null,
   SubTitle             nvarchar(100)        collate Chinese_PRC_CI_AS not null,
   Introduction         nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   Content              ntext                collate Chinese_PRC_CI_AS not null,
   PictureUrl           nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   ThumbnailsUrl        nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   Author               nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   Editor               nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   Source               nvarchar(30)         collate Chinese_PRC_CI_AS not null,
   Tags                 nvarchar(100)        collate Chinese_PRC_CI_AS not null,
   ShowOrder            int                  not null,
   Hits                 int                  not null,
   DayHits              int                  not null,
   WeekHits             int                  not null,
   MonthHits            int                  not null,
   Creator              nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   CreateDate           datetime             not null,
   LastModifyDate       datetime             not null,
   IsDynamicView        bit                  not null,
   PurviewType          int                  not null,
   Settings             ntext                collate Chinese_PRC_CI_AS not null,
   IsHtmlCreated        bit                  not null,
   HtmlPagePath         nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   Properties           nvarchar(500)        not null,
   ExtFields            ntext                not null,
   ExtFieldValuesString ntext                not null,
   ExtFieldValuesBinary image                null,
   IsRecyle             bit                  not null,
   AllowComment         bit                  not null,
   CommentRequireAudit  bit                  not null,
   CommentCount         int                  not null,
   VoteGroup            nvarchar(50)         not null,
   MetaKeywords         nvarchar(120)        collate Chinese_PRC_CI_AS not null,
   MetaDescription      nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   ContentDynamicPage   nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   ContentHtmlPage      nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   State                int                  not null,
   WorkFlowID           nvarchar(50)         not null,
   constraint PK_koo_News primary key (NewsId)
         on "PRIMARY"
)
on "PRIMARY"
textimage_on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '文章表',
   'user', 'dbo', 'table', 'koo_News'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_News', 'column', 'NewsId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '栏目编号',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ColumnId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否为转向链接',
   'user', 'dbo', 'table', 'koo_News', 'column', 'RedirectUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '文章标题',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Title'
GO

execute sp_addextendedproperty 'MS_Description', 
   '副标题',
   'user', 'dbo', 'table', 'koo_News', 'column', 'SubTitle'
GO

execute sp_addextendedproperty 'MS_Description', 
   '导读',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Introduction'
GO

execute sp_addextendedproperty 'MS_Description', 
   '内容',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Content'
GO

execute sp_addextendedproperty 'MS_Description', 
   '图片链接',
   'user', 'dbo', 'table', 'koo_News', 'column', 'PictureUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '缩略图链接(自动生成)',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ThumbnailsUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '作者',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Author'
GO

execute sp_addextendedproperty 'MS_Description', 
   '最后编辑者',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Editor'
GO

execute sp_addextendedproperty 'MS_Description', 
   '信息来源',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Source'
GO

execute sp_addextendedproperty 'MS_Description', 
   'Tag关键字,多个用半角逗号分隔',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Tags'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否推荐',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ShowOrder'
GO

execute sp_addextendedproperty 'MS_Description', 
   '总点击数',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Hits'
GO

execute sp_addextendedproperty 'MS_Description', 
   '日点击数',
   'user', 'dbo', 'table', 'koo_News', 'column', 'DayHits'
GO

execute sp_addextendedproperty 'MS_Description', 
   '周点击数',
   'user', 'dbo', 'table', 'koo_News', 'column', 'WeekHits'
GO

execute sp_addextendedproperty 'MS_Description', 
   '月点击数',
   'user', 'dbo', 'table', 'koo_News', 'column', 'MonthHits'
GO

execute sp_addextendedproperty 'MS_Description', 
   '信息录入者',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Creator'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_News', 'column', 'CreateDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '最后修改日期',
   'user', 'dbo', 'table', 'koo_News', 'column', 'LastModifyDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '浏览方式,是否动态浏览',
   'user', 'dbo', 'table', 'koo_News', 'column', 'IsDynamicView'
GO

execute sp_addextendedproperty 'MS_Description', 
   '权限,0为继承栏目设置,1为开放浏览,2为要求登录,3为指定用户组',
   'user', 'dbo', 'table', 'koo_News', 'column', 'PurviewType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '文章扩展设置，以XML格式保存',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Settings'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否已生成静态文件',
   'user', 'dbo', 'table', 'koo_News', 'column', 'IsHtmlCreated'
GO

execute sp_addextendedproperty 'MS_Description', 
   '生成的内容页保存路径',
   'user', 'dbo', 'table', 'koo_News', 'column', 'HtmlPagePath'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自定义属性Id,以逗号分隔',
   'user', 'dbo', 'table', 'koo_News', 'column', 'Properties'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自定义字段名',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ExtFields'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自定义字段值',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ExtFieldValuesString'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自定义字段值(binary)',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ExtFieldValuesBinary'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否被删除',
   'user', 'dbo', 'table', 'koo_News', 'column', 'IsRecyle'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否允许评论',
   'user', 'dbo', 'table', 'koo_News', 'column', 'AllowComment'
GO

execute sp_addextendedproperty 'MS_Description', 
   '评论是否需要审核',
   'user', 'dbo', 'table', 'koo_News', 'column', 'CommentRequireAudit'
GO

execute sp_addextendedproperty 'MS_Description', 
   '评论数',
   'user', 'dbo', 'table', 'koo_News', 'column', 'CommentCount'
GO

execute sp_addextendedproperty 'MS_Description', 
   '评论投票组',
   'user', 'dbo', 'table', 'koo_News', 'column', 'VoteGroup'
GO

execute sp_addextendedproperty 'MS_Description', 
   'Meta关键字',
   'user', 'dbo', 'table', 'koo_News', 'column', 'MetaKeywords'
GO

execute sp_addextendedproperty 'MS_Description', 
   'Meta描述',
   'user', 'dbo', 'table', 'koo_News', 'column', 'MetaDescription'
GO

execute sp_addextendedproperty 'MS_Description', 
   '动态内容页模板',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ContentDynamicPage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '静态内容页模板',
   'user', 'dbo', 'table', 'koo_News', 'column', 'ContentHtmlPage'
GO

execute sp_addextendedproperty 'MS_Description', 
   '审核状态，1草稿，2待审核，3已审核，4审核不通过',
   'user', 'dbo', 'table', 'koo_News', 'column', 'State'
GO

execute sp_addextendedproperty 'MS_Description', 
   '工作流实例ID',
   'user', 'dbo', 'table', 'koo_News', 'column', 'WorkFlowID'
GO


create table koo_NewsAuthor (
   AuthorId             int                  identity,
   AuthorName           nvarchar(30)         not null,
   UserName             nvarchar(256)        not null,
   Website              nvarchar(500)        not null,
   RealName             nvarchar(30)         not null,
   Telphone             nvarchar(50)         not null,
   Mobile               nvarchar(50)         not null,
   Email                nvarchar(256)        not null,
   QQ                   nvarchar(50)         not null,
   MSN                  nvarchar(256)        not null,
   Comment              ntext                not null,
   constraint PK_koo_NEWSAUTHOR primary key (AuthorId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章作者表',
   'user', 'dbo', 'table', 'koo_NewsAuthor'
GO



execute sp_addextendedproperty 'MS_Description', 
   '作者Id',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'AuthorId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '作者名称',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'AuthorName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '作者用户名',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'UserName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '个人网站',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'Website'
GO



execute sp_addextendedproperty 'MS_Description', 
   '真实姓名',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'RealName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '联系电话',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'Telphone'
GO



execute sp_addextendedproperty 'MS_Description', 
   '手机',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'Mobile'
GO



execute sp_addextendedproperty 'MS_Description', 
   'Email',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'Email'
GO



execute sp_addextendedproperty 'MS_Description', 
   'QQ',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'QQ'
GO



execute sp_addextendedproperty 'MS_Description', 
   'MSN',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'MSN'
GO



execute sp_addextendedproperty 'MS_Description', 
   '备注',
   'user', 'dbo', 'table', 'koo_NewsAuthor', 'column', 'Comment'
GO


create table koo_NewsProperties (
   PropertyId           int                  identity,
   PropertyName         nvarchar(50)         not null,
   Description          nvarchar(500)        not null,
   constraint PK_koo_NEWSPROPERTIES primary key (PropertyId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章自定义属性表',
   'user', 'dbo', 'table', 'koo_NewsProperties'
GO



execute sp_addextendedproperty 'MS_Description', 
   '属性编号',
   'user', 'dbo', 'table', 'koo_NewsProperties', 'column', 'PropertyId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '属性名称',
   'user', 'dbo', 'table', 'koo_NewsProperties', 'column', 'PropertyName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '说明',
   'user', 'dbo', 'table', 'koo_NewsProperties', 'column', 'Description'
GO


create table koo_NewsRelations (
   ID                   int                  identity,
   NewsId               int                  not null,
   RelationId           int                  not null,
   Title                nvarchar(100)        not null,
   ShowOrder            int                  not null,
   constraint PK_koo_NEWSRELATIONS primary key (ID)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '相关文章表',
   'user', 'dbo', 'table', 'koo_NewsRelations'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_NewsRelations', 'column', 'ID'
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章ID',
   'user', 'dbo', 'table', 'koo_NewsRelations', 'column', 'NewsId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '相关文章ID',
   'user', 'dbo', 'table', 'koo_NewsRelations', 'column', 'RelationId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章标题',
   'user', 'dbo', 'table', 'koo_NewsRelations', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '显示权重',
   'user', 'dbo', 'table', 'koo_NewsRelations', 'column', 'ShowOrder'
GO


create table koo_NewsSource (
   SourceId             int                  identity,
   SourceName           nvarchar(30)         not null,
   constraint PK_koo_NEWSSOURCE primary key (SourceId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章信息来源',
   'user', 'dbo', 'table', 'koo_NewsSource'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_NewsSource', 'column', 'SourceId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '来源名称',
   'user', 'dbo', 'table', 'koo_NewsSource', 'column', 'SourceName'
GO


create table koo_NewsTag (
   TagId                int                  identity,
   Tag                  nvarchar(30)         not null,
   ShowOrder            int                  not null,
   constraint PK_koo_NEWSTAG primary key (TagId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章关键字',
   'user', 'dbo', 'table', 'koo_NewsTag'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_NewsTag', 'column', 'TagId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '关键字名称',
   'user', 'dbo', 'table', 'koo_NewsTag', 'column', 'Tag'
GO



execute sp_addextendedproperty 'MS_Description', 
   '显示权重',
   'user', 'dbo', 'table', 'koo_NewsTag', 'column', 'ShowOrder'
GO

