﻿ 

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_Comment')
            and   type = 'U')
   drop table koo_Comment
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_CommentVote')
            and   type = 'U')
   drop table koo_CommentVote
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_VoteGroup')
            and   type = 'U')
   drop table koo_VoteGroup
GO

create table koo_Comment (
   CommentId            int                  identity,
   IsSpecial            bit                  not null,
   ModelId              int                  not null,
   SrcId                int                  not null,
   Title                nvarchar(100)        not null,
   Content              ntext                not null,
   ParentId             int                  not null,
   ParentIdList         ntext                not null,
   PostTime             datetime             not null,
   CheckState           int                  not null,
   UserName             nvarchar(256)        not null,
   IP                   varchar(20)          not null,
   VoteGroup            nvarchar(50)         not null,
   Votes                ntext                not null,
   IsAnonymous          bit                  not null,
   ChildCount           int                  not null,
   Wonderful            bit                  not null,
   LastReplyDate        datetime             not null,
   constraint PK_koo_COMMENT primary key (CommentId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论表',
   'user', 'dbo', 'table', 'koo_Comment'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论ID',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'CommentId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '1为内容模型评论,2为专题',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'IsSpecial'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容模型ID',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'ModelId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '相关记录ID',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'SrcId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论标题',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论内容',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'Content'
GO



execute sp_addextendedproperty 'MS_Description', 
   '上级评论ID',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'ParentId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '所有上级评论ID',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'ParentIdList'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论时间',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'PostTime'
GO



execute sp_addextendedproperty 'MS_Description', 
   '审核状态，0待审核,1审核通过,2审核不通过',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'CheckState'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户名',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'UserName'
GO



execute sp_addextendedproperty 'MS_Description', 
   'IP',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'IP'
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票组别',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'VoteGroup'
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票统计',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'Votes'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否匿名',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'IsAnonymous'
GO



execute sp_addextendedproperty 'MS_Description', 
   '被评论数',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'ChildCount'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否精彩评论',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'Wonderful'
GO



execute sp_addextendedproperty 'MS_Description', 
   '最新回复时间',
   'user', 'dbo', 'table', 'koo_Comment', 'column', 'LastReplyDate'
GO

 
create table koo_CommentVote (
   ItemId               int                  identity,
   ItemGroup            nvarchar(50)         not null,
   ItemCode             nvarchar(50)         not null,
   ItemName             nvarchar(50)         not null,
   IsEnable             bit                  not null,
   constraint PK_koo_COMMENTVOTE primary key (ItemId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论投票项目表',
   'user', 'dbo', 'table', 'koo_CommentVote'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_CommentVote', 'column', 'ItemId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '组别',
   'user', 'dbo', 'table', 'koo_CommentVote', 'column', 'ItemGroup'
GO



execute sp_addextendedproperty 'MS_Description', 
   '项目代码',
   'user', 'dbo', 'table', 'koo_CommentVote', 'column', 'ItemCode'
GO



execute sp_addextendedproperty 'MS_Description', 
   '项目名称',
   'user', 'dbo', 'table', 'koo_CommentVote', 'column', 'ItemName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否启用',
   'user', 'dbo', 'table', 'koo_CommentVote', 'column', 'IsEnable'
GO


create table koo_VoteGroup (
   GroupId              int                  identity,
   GroupCode            nvarchar(50)         not null,
   GroupName            nvarchar(50)         not null,
   constraint PK_koo_VOTEGROUP primary key (GroupId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '投票组表',
   'user', 'dbo', 'table', 'koo_VoteGroup'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_VoteGroup', 'column', 'GroupId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '组别代码',
   'user', 'dbo', 'table', 'koo_VoteGroup', 'column', 'GroupCode'
GO



execute sp_addextendedproperty 'MS_Description', 
   '组名',
   'user', 'dbo', 'table', 'koo_VoteGroup', 'column', 'GroupName'
GO

