﻿ 

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_EbookArticleInfo')
            and   type = 'U')
   drop table koo_EbookArticleInfo
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_EbookCategoryInfo')
            and   type = 'U')
   drop table koo_EbookCategoryInfo
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_EbookChapterInfo')
            and   type = 'U')
   drop table koo_EbookChapterInfo
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_EbookInfo')
            and   type = 'U')
   drop table koo_EbookInfo
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_EbookProperties')
            and   type = 'U')
   drop table koo_EbookProperties
GO


create table koo_EbookArticleInfo (
   ArticleId            int                  identity,
   ChapterId            int                  not null,
   Title                nvarchar(100)        not null,
   Content              ntext                not null,
   BookId               int                  not null,
   constraint PK_koo_EBOOKARTICLEINFO primary key (ArticleId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容表',
   'user', 'dbo', 'table', 'koo_EbookArticleInfo'
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章Id',
   'user', 'dbo', 'table', 'koo_EbookArticleInfo', 'column', 'ArticleId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '章节Id',
   'user', 'dbo', 'table', 'koo_EbookArticleInfo', 'column', 'ChapterId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '标题',
   'user', 'dbo', 'table', 'koo_EbookArticleInfo', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容',
   'user', 'dbo', 'table', 'koo_EbookArticleInfo', 'column', 'Content'
GO



execute sp_addextendedproperty 'MS_Description', 
   '书籍Id',
   'user', 'dbo', 'table', 'koo_EbookArticleInfo', 'column', 'BookId'
GO


create table koo_EbookCategoryInfo (
   CategoryId           int                  identity,
   CategoryName         nvarchar(50)         not null,
   ParentId             int                  not null,
   IsEnable             bit                  not null,
   ChildIdList          varchar(1000)        not null,
   ShowOrder            int                  not null,
   NaviPosition         ntext                not null,
   constraint PK_koo_EBOOKCATEGORYINFO primary key (CategoryId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '书籍类别信息表',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo'
GO



execute sp_addextendedproperty 'MS_Description', 
   '类别Id',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo', 'column', 'CategoryId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '类别名称',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo', 'column', 'CategoryName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '上级类别',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo', 'column', 'ParentId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否启用',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo', 'column', 'IsEnable'
GO



execute sp_addextendedproperty 'MS_Description', 
   '所有下级类别Id',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo', 'column', 'ChildIdList'
GO



execute sp_addextendedproperty 'MS_Description', 
   '排列顺序',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo', 'column', 'ShowOrder'
GO



execute sp_addextendedproperty 'MS_Description', 
   '导航信息',
   'user', 'dbo', 'table', 'koo_EbookCategoryInfo', 'column', 'NaviPosition'
GO

create table koo_EbookChapterInfo (
   ChapterId            int                  identity,
   BookId               int                  not null,
   ChapterNumber        int                  not null,
   Title                nvarchar(100)        not null,
   ArticleNumbers       int                  not null,
   constraint PK_koo_EBOOKCHAPTERINFO primary key (ChapterId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '章节表',
   'user', 'dbo', 'table', 'koo_EbookChapterInfo'
GO



execute sp_addextendedproperty 'MS_Description', 
   '章节Id',
   'user', 'dbo', 'table', 'koo_EbookChapterInfo', 'column', 'ChapterId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '书籍Id',
   'user', 'dbo', 'table', 'koo_EbookChapterInfo', 'column', 'BookId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '章节序号',
   'user', 'dbo', 'table', 'koo_EbookChapterInfo', 'column', 'ChapterNumber'
GO



execute sp_addextendedproperty 'MS_Description', 
   '章节名称',
   'user', 'dbo', 'table', 'koo_EbookChapterInfo', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容数',
   'user', 'dbo', 'table', 'koo_EbookChapterInfo', 'column', 'ArticleNumbers'
GO


create table koo_EbookInfo (
   BookId               int                  identity,
   CategoryId           int                  not null,
   BookName             nvarchar(100)        not null,
   FreeChapters         int                  not null,
   SerialState          int                  not null,
   PublicSign           int                  not null,
   Chapters             int                  not null,
   ArticleNumbers       int                  not null,
   Tags                 ntext                not null,
   Summary              ntext                not null,
   Catalogue            ntext                not null,
   Hits                 int                  not null,
   DayHits              int                  not null,
   WeekHits             int                  not null,
   MonthHits            int                  not null,
   Download             int                  not null,
   DayDownload          int                  not null,
   WeekDownload         int                  not null,
   MonthDownload        int                  not null,
   Creator              nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   CreateDate           datetime             not null,
   ThumbnailsUrl        nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   PictureUrl           nvarchar(500)        collate Chinese_PRC_CI_AS not null,
   LastModifyDate       datetime             not null,
   Author               nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   Properties           nvarchar(500)        not null,
   ExtFields            ntext                not null,
   ExtFieldValuesString ntext                not null,
   ExtFieldValuesBinary image                null,
   FilePath             nvarchar(256)        not null,
   FileServerId         int                  not null,
   FileType             nvarchar(50)         not null,
   FileSize             int                  not null,
   BookLanguage         nvarchar(20)         not null,
   Publisher            nvarchar(100)        not null,
   ISBN                 nvarchar(50)         not null,
   CommentCount         int                  not null,
   PurviewType          int                  not null,
   Settings             ntext                collate Chinese_PRC_CI_AS not null,
   constraint PK_koo_EBOOKINFO primary key (BookId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '电子书籍信息表',
   'user', 'dbo', 'table', 'koo_EbookInfo'
GO



execute sp_addextendedproperty 'MS_Description', 
   '书籍Id',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'BookId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '类别Id',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'CategoryId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '图书名称',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'BookName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '免费章节数:-1全部免费，0全部收费',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'FreeChapters'
GO



execute sp_addextendedproperty 'MS_Description', 
   '连载状态:0连载中，1连载完成',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'SerialState'
GO



execute sp_addextendedproperty 'MS_Description', 
   '审核状态:0未审核，1已审核，2审核不通过',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'PublicSign'
GO



execute sp_addextendedproperty 'MS_Description', 
   '总章节数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Chapters'
GO



execute sp_addextendedproperty 'MS_Description', 
   '内容数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'ArticleNumbers'
GO



execute sp_addextendedproperty 'MS_Description', 
   '关键字',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Tags'
GO



execute sp_addextendedproperty 'MS_Description', 
   '摘要',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Summary'
GO



execute sp_addextendedproperty 'MS_Description', 
   '目录',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Catalogue'
GO



execute sp_addextendedproperty 'MS_Description', 
   '总点击数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Hits'
GO



execute sp_addextendedproperty 'MS_Description', 
   '日点击数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'DayHits'
GO



execute sp_addextendedproperty 'MS_Description', 
   '周点击数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'WeekHits'
GO



execute sp_addextendedproperty 'MS_Description', 
   '月点击数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'MonthHits'
GO



execute sp_addextendedproperty 'MS_Description', 
   '总下载次数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Download'
GO



execute sp_addextendedproperty 'MS_Description', 
   '日下载次数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'DayDownload'
GO



execute sp_addextendedproperty 'MS_Description', 
   '周下载次数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'WeekDownload'
GO



execute sp_addextendedproperty 'MS_Description', 
   '月下载次数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'MonthDownload'
GO



execute sp_addextendedproperty 'MS_Description', 
   '信息录入者',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Creator'
GO



execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'CreateDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   '缩略图链接(自动生成)',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'ThumbnailsUrl'
GO



execute sp_addextendedproperty 'MS_Description', 
   '图片链接',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'PictureUrl'
GO



execute sp_addextendedproperty 'MS_Description', 
   '最后修改日期',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'LastModifyDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   '作者',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Author'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义属性Id,以逗号分隔',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Properties'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义字段名',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'ExtFields'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义字段值',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'ExtFieldValuesString'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自定义字段值(binary)',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'ExtFieldValuesBinary'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件保存路径',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'FilePath'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件位置Id',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'FileServerId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件文件类型',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'FileType'
GO



execute sp_addextendedproperty 'MS_Description', 
   '附件大小',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'FileSize'
GO



execute sp_addextendedproperty 'MS_Description', 
   '语言',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'BookLanguage'
GO



execute sp_addextendedproperty 'MS_Description', 
   '出版社',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Publisher'
GO



execute sp_addextendedproperty 'MS_Description', 
   'ISBN',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'ISBN'
GO



execute sp_addextendedproperty 'MS_Description', 
   '评论数',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'CommentCount'
GO



execute sp_addextendedproperty 'MS_Description', 
   '权限,1为开放浏览,2为要求登录,3为指定用户组',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'PurviewType'
GO



execute sp_addextendedproperty 'MS_Description', 
   '文章扩展设置，以XML格式保存',
   'user', 'dbo', 'table', 'koo_EbookInfo', 'column', 'Settings'
GO
 
create table koo_EbookProperties (
   PropertyId           int                  identity,
   PropertyName         nvarchar(50)         not null,
   Description          nvarchar(500)        not null,
   constraint PK_koo_EBOOKPROPERTIES primary key (PropertyId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '电子自定义属性表',
   'user', 'dbo', 'table', 'koo_EbookProperties'
GO



execute sp_addextendedproperty 'MS_Description', 
   '属性编号',
   'user', 'dbo', 'table', 'koo_EbookProperties', 'column', 'PropertyId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '属性名称',
   'user', 'dbo', 'table', 'koo_EbookProperties', 'column', 'PropertyName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '说明',
   'user', 'dbo', 'table', 'koo_EbookProperties', 'column', 'Description'
GO

