﻿ 

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_Ads')
            and   type = 'U')
   drop table dbo.koo_Ads
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_AdsInPosition')
            and   type = 'U')
   drop table koo_AdsInPosition
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_AdsPosition')
            and   type = 'U')
   drop table koo_AdsPosition
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_AdsStat')
            and   type = 'U')
   drop table dbo.koo_AdsStat
GO
 
create table dbo.koo_Ads (
   AdsId                int                  identity(1, 1),
   AdsName              nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   IsEnable             bit                  not null,
   BebinDate            datetime              not null,
   EndDate              datetime             not null,
   Define               ntext                not null,
   Price                money                not null,
   ShowCount            int                  not null,
   HitCount             int                  not null,
   IncludeLocations     ntext                not null,
   ExcludeLocations     ntext                not null,
   ShowOrder            decimal              not null,
   AdsType              int                  not null,
   IsStatViewCount      bit                  not null,
   constraint PK_koo_ads primary key (AdsId)
         on "PRIMARY"
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告表',
   'user', 'dbo', 'table', 'koo_Ads'
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告记录ID',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'AdsId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告名称',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'AdsName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否启用',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'IsEnable'
GO

execute sp_addextendedproperty 'MS_Description', 
   '开始日期',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'BebinDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '到期日期',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'EndDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告定义',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'Define'
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告价格',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'Price'
GO

execute sp_addextendedproperty 'MS_Description', 
   '显示次数',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'ShowCount'
GO

execute sp_addextendedproperty 'MS_Description', 
   '点击次数',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'HitCount'
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告范围',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'IncludeLocations'
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告排除范围',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'ExcludeLocations'
GO

execute sp_addextendedproperty 'MS_Description', 
   '显示权重',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'ShowOrder'
GO

execute sp_addextendedproperty 'MS_Description', 
   '1为图片广告,2为Flash,3为代码,4为页面,5为文字链接广告',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'AdsType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '是否统计显示次数',
   'user', 'dbo', 'table', 'koo_Ads', 'column', 'IsStatViewCount'
GO

 
create table koo_AdsInPosition (
   Id                   int                  identity,
   AdsId                int                  not null,
   PositionGuid         nvarchar(50)         not null,
   constraint PK_koo_ADSINPOSITION primary key (Id)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '广告位广告关联表',
   'user', 'dbo', 'table', 'koo_AdsInPosition'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_AdsInPosition', 'column', 'Id'
GO



execute sp_addextendedproperty 'MS_Description', 
   '广告记录ID',
   'user', 'dbo', 'table', 'koo_AdsInPosition', 'column', 'AdsId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '广告位编号',
   'user', 'dbo', 'table', 'koo_AdsInPosition', 'column', 'PositionGuid'
GO
 
create table koo_AdsPosition (
   PositionId           int                  identity,
   PositionName         nvarchar(50)         not null,
   PositionGuid         nvarchar(50)         not null,
   Comment              nvarchar(500)        not null,
   Width                int                  not null,
   Height               int                  not null,
   constraint PK_koo_ADSPOSITION primary key (PositionId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '广告位管理',
   'user', 'dbo', 'table', 'koo_AdsPosition'
GO



execute sp_addextendedproperty 'MS_Description', 
   '广告位ID',
   'user', 'dbo', 'table', 'koo_AdsPosition', 'column', 'PositionId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '广告位名称',
   'user', 'dbo', 'table', 'koo_AdsPosition', 'column', 'PositionName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '广告位标识',
   'user', 'dbo', 'table', 'koo_AdsPosition', 'column', 'PositionGuid'
GO



execute sp_addextendedproperty 'MS_Description', 
   '说明',
   'user', 'dbo', 'table', 'koo_AdsPosition', 'column', 'Comment'
GO



execute sp_addextendedproperty 'MS_Description', 
   '宽度',
   'user', 'dbo', 'table', 'koo_AdsPosition', 'column', 'Width'
GO



execute sp_addextendedproperty 'MS_Description', 
   '高度',
   'user', 'dbo', 'table', 'koo_AdsPosition', 'column', 'Height'
GO
 
create table dbo.koo_AdsStat (
   ID                   int                  identity(1, 1),
   AdsId                int                  not null,
   IP                   nvarchar(20)         collate Chinese_PRC_CI_AS not null,
   RefUrl               nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   VisitDate            datetime             not null,
   SessionInfo          ntext                not null,
   constraint PK_koo_ads_stat primary key (ID)
         on "PRIMARY"
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告点击统计表',
   'user', 'dbo', 'table', 'koo_AdsStat'
GO

execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_AdsStat', 'column', 'ID'
GO

execute sp_addextendedproperty 'MS_Description', 
   '广告记录ID',
   'user', 'dbo', 'table', 'koo_AdsStat', 'column', 'AdsId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '来源IP',
   'user', 'dbo', 'table', 'koo_AdsStat', 'column', 'IP'
GO

execute sp_addextendedproperty 'MS_Description', 
   '来源地址',
   'user', 'dbo', 'table', 'koo_AdsStat', 'column', 'RefUrl'
GO

execute sp_addextendedproperty 'MS_Description', 
   '访问日期',
   'user', 'dbo', 'table', 'koo_AdsStat', 'column', 'VisitDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '会话信息',
   'user', 'dbo', 'table', 'koo_AdsStat', 'column', 'SessionInfo'
GO

