﻿if exists (select 1
            from  sysobjects
           where  id = object_id('koo_Widget')
            and   type = 'U')
   drop table koo_Widget
GO


create table koo_Widget (
   WidgetId             int                  identity,
   WidgetName           nvarchar(50)         not null,
   WidgetCode           nvarchar(255)        not null,
   AllowProfile         bit                  not null,
   constraint PK_koo_WIDGET primary key (WidgetId)
)
GO 

execute sp_addextendedproperty 'MS_Description', 
   'Widgets配置表',
   'user', 'dbo', 'table', 'koo_Widget'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_Widget', 'column', 'WidgetId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块名称',
   'user', 'dbo', 'table', 'koo_Widget', 'column', 'WidgetName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块代码',
   'user', 'dbo', 'table', 'koo_Widget', 'column', 'WidgetCode'
GO



execute sp_addextendedproperty 'MS_Description', 
   '是否支持个性化设置',
   'user', 'dbo', 'table', 'koo_Widget', 'column', 'AllowProfile'
GO


if exists (select 1
            from  sysobjects
           where  id = object_id('koo_DefaultWidgets')
            and   type = 'U')
   drop table koo_DefaultWidgets
GO


create table koo_DefaultWidgets (
   Title                nvarchar(100)        not null,
   Id                   int                  identity,
   WidgetCode           nvarchar(255)        not null,
   Position             int                  not null,
   ShowOrder            int                  not null,
   Settings             ntext                not null,
   constraint PK_koo_DEFAULTWIDGETS primary key (Id)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '默认Widgets表',
   'user', 'dbo', 'table', 'koo_DefaultWidgets'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块名称',
   'user', 'dbo', 'table', 'koo_DefaultWidgets', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_DefaultWidgets', 'column', 'Id'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块代码',
   'user', 'dbo', 'table', 'koo_DefaultWidgets', 'column', 'WidgetCode'
GO



execute sp_addextendedproperty 'MS_Description', 
   '位置,1为左，2为右',
   'user', 'dbo', 'table', 'koo_DefaultWidgets', 'column', 'Position'
GO



execute sp_addextendedproperty 'MS_Description', 
   '显示顺序，越小越靠前',
   'user', 'dbo', 'table', 'koo_DefaultWidgets', 'column', 'ShowOrder'
GO



execute sp_addextendedproperty 'MS_Description', 
   '默认设置',
   'user', 'dbo', 'table', 'koo_DefaultWidgets', 'column', 'Settings'
GO


if exists (select 1
            from  sysobjects
           where  id = object_id('koo_UserWidgets')
            and   type = 'U')
   drop table koo_UserWidgets
GO


create table koo_UserWidgets (
   Id                   int                  identity,
   Title                nvarchar(100)        not null,
   WidgetCode           nvarchar(255)        not null,
   UserName             nvarchar(256)        not null,
   Position             int                  not null,
   ShowOrder            int                  not null,
   Settings             ntext                not null,
   constraint PK_koo_USERWIDGETS primary key (Id)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户Widgets表',
   'user', 'dbo', 'table', 'koo_UserWidgets'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_UserWidgets', 'column', 'Id'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块名称',
   'user', 'dbo', 'table', 'koo_UserWidgets', 'column', 'Title'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块代码',
   'user', 'dbo', 'table', 'koo_UserWidgets', 'column', 'WidgetCode'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户名',
   'user', 'dbo', 'table', 'koo_UserWidgets', 'column', 'UserName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '位置,1为左，2为右',
   'user', 'dbo', 'table', 'koo_UserWidgets', 'column', 'Position'
GO



execute sp_addextendedproperty 'MS_Description', 
   '显示顺序，越小越靠前',
   'user', 'dbo', 'table', 'koo_UserWidgets', 'column', 'ShowOrder'
GO



execute sp_addextendedproperty 'MS_Description', 
   '相关设置',
   'user', 'dbo', 'table', 'koo_UserWidgets', 'column', 'Settings'
GO




SET IDENTITY_INSERT koo_widget ON
 
insert koo_widget(WidgetId,WidgetName,WidgetCode,AllowProfile) values(	1	,	N'产品信息'	,	N'product'	,	0	)
insert koo_widget(WidgetId,WidgetName,WidgetCode,AllowProfile) values(	2	,	N'我的短消息'	,	N'PrivateMessage'	,	1	)
 
SET IDENTITY_INSERT koo_widget OFF

GO

SET IDENTITY_INSERT koo_DefaultWidgets ON
insert koo_DefaultWidgets(Title,Id,WidgetCode,Position,ShowOrder,Settings) values(	N'产品信息'	,	1	,	N'product'	,	1	,	1	,'')
insert koo_DefaultWidgets(Title,Id,WidgetCode,Position,ShowOrder,Settings) values(	N'站内短消息'	,	2	,	N'PrivateMessage'	,	1	,	1	,'')

SET IDENTITY_INSERT koo_DefaultWidgets OFF
 

 GO

--SET IDENTITY_INSERT koo_UserWidgets ON
--insert koo_UserWidgets(Id,Title,WidgetCode,UserName,Position,ShowOrder) values(	35	,	N'产品信息'	,	N'product'	,	N'admin'	,	1	,	1	)
--insert koo_UserWidgets(Id,Title,WidgetCode,UserName,Position,ShowOrder) values(	36	,	N'站内短消息'	,	N'PrivateMessage'	,	N'admin'	,	2	,	1	)

--SET IDENTITY_INSERT koo_UserWidgets OFF
