﻿


if exists (select 1
            from  sysobjects
           where  id = object_id('dbo.koo_PointCard')
            and   type = 'U')
   drop table dbo.koo_PointCard

GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_PointCardType')
            and   type = 'U')
   drop table koo_PointCardType

GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_UserScoreLog')
            and   type = 'U')
   drop table koo_UserScoreLog
GO


create table dbo.koo_PointCard (
   CardId               int                  identity(1, 1),
   CardTypeId           int                  not null,
   CardGuid             nvarchar(50)         collate Chinese_PRC_CI_AS not null,
   CardPassword         nvarchar(128)        collate Chinese_PRC_CI_AS not null,
   Money                money                not null,
   Point                int                  not null,
   ScoreType            int                  not null,
   IsUse                bit                  not null,
   IsLock               bit                  not null,
   ExpireDate           datetime             not null,
   Creator              nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   CreateDate           datetime             not null,
   UserName             nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   UseDate              datetime             not null,
   UseIP                nvarchar(20)         not null,
   constraint PK_koo_User_Card primary key (CardId)
         on "PRIMARY"
)
on "PRIMARY"
GO

execute sp_addextendedproperty 'MS_Description', 
   '点卡表',
   'user', 'dbo', 'table', 'koo_PointCard'
GO

execute sp_addextendedproperty 'MS_Description', 
   '点卡ID',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'CardId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '点卡类别ID',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'CardTypeId'
GO

execute sp_addextendedproperty 'MS_Description', 
   '点卡编号',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'CardGuid'
GO

execute sp_addextendedproperty 'MS_Description', 
   '点卡密码',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'CardPassword'
GO

execute sp_addextendedproperty 'MS_Description', 
   '金额',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'Money'
GO

execute sp_addextendedproperty 'MS_Description', 
   '点数',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'Point'
GO

execute sp_addextendedproperty 'MS_Description', 
   '积分类别',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'ScoreType'
GO

execute sp_addextendedproperty 'MS_Description', 
   '已使用标识',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'IsUse'
GO

execute sp_addextendedproperty 'MS_Description', 
   '已锁定标识',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'IsLock'
GO

execute sp_addextendedproperty 'MS_Description', 
   '到期日期',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'ExpireDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建者',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'Creator'
GO

execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'CreateDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '充值者',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'UserName'
GO

execute sp_addextendedproperty 'MS_Description', 
   '充值时间',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'UseDate'
GO

execute sp_addextendedproperty 'MS_Description', 
   '充值IP',
   'user', 'dbo', 'table', 'koo_PointCard', 'column', 'UseIP'
GO

create table koo_PointCardType (
   CardTypeId           int                  identity,
   CardTypeName         nvarchar(20)         not null,
   Creator              nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   CreateDate           datetime             not null,
   Comment              nvarchar(500)        not null,
   ResGuid              nvarchar(50)         not null,
   constraint PK_koo_POINTCARDTYPE primary key (CardTypeId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '点卡类别表',
   'user', 'dbo', 'table', 'koo_PointCardType'
GO



execute sp_addextendedproperty 'MS_Description', 
   '点卡类别ID',
   'user', 'dbo', 'table', 'koo_PointCardType', 'column', 'CardTypeId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '点卡类别名称',
   'user', 'dbo', 'table', 'koo_PointCardType', 'column', 'CardTypeName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '创建人',
   'user', 'dbo', 'table', 'koo_PointCardType', 'column', 'Creator'
GO



execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_PointCardType', 'column', 'CreateDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   '备注',
   'user', 'dbo', 'table', 'koo_PointCardType', 'column', 'Comment'
GO



execute sp_addextendedproperty 'MS_Description', 
   '模块标识',
   'user', 'dbo', 'table', 'koo_PointCardType', 'column', 'ResGuid'
GO


create table koo_UserScoreLog (
   Id                   int                  identity,
   UserId               int                  not null,
   ScoreField           int                  not null,
   ScoreChanged         decimal(18,2)        not null,
   NewScore             decimal(18,2)        not null,
   ChangeDate           datetime             not null,
   Reason               nvarchar(500)        not null,
   IsSystem             bit                  not null,
   constraint PK_koo_USERSCORELOG primary key (Id)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户积分变动记录',
   'user', 'dbo', 'table', 'koo_UserScoreLog'
GO



execute sp_addextendedproperty 'MS_Description', 
   '自动编号',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'Id'
GO



execute sp_addextendedproperty 'MS_Description', 
   '用户ID',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'UserId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '积分字段，0~8对应不同的积分字段',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'ScoreField'
GO



execute sp_addextendedproperty 'MS_Description', 
   '增减积分',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'ScoreChanged'
GO



execute sp_addextendedproperty 'MS_Description', 
   '更新后的积分',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'NewScore'
GO



execute sp_addextendedproperty 'MS_Description', 
   '更新日期',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'ChangeDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   '原因',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'Reason'
GO



execute sp_addextendedproperty 'MS_Description', 
   '系统标识',
   'user', 'dbo', 'table', 'koo_UserScoreLog', 'column', 'IsSystem'
GO

