﻿


if exists (select 1
            from  sysobjects
           where  id = object_id('koo_Link')
            and   type = 'U')
   drop table koo_Link
GO

if exists (select 1
            from  sysobjects
           where  id = object_id('koo_LinkClass')
            and   type = 'U')
   drop table koo_LinkClass
GO

create table koo_Link (
   LinkId               int                  identity,
   SiteName             nvarchar(50)         not null,
   SiteUrl              nvarchar(500)        not null,
   LogoUrl              nvarchar(500)        not null,
   ShowOrder            int                  not null,
   ClassId              int                  not null,
   constraint PK_koo_LINK primary key (LinkId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '友情链接表',
   'user', 'dbo', 'table', 'koo_Link'
GO



execute sp_addextendedproperty 'MS_Description', 
   '链接ID',
   'user', 'dbo', 'table', 'koo_Link', 'column', 'LinkId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '链接名称',
   'user', 'dbo', 'table', 'koo_Link', 'column', 'SiteName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '链接地址',
   'user', 'dbo', 'table', 'koo_Link', 'column', 'SiteUrl'
GO



execute sp_addextendedproperty 'MS_Description', 
   '图片URL',
   'user', 'dbo', 'table', 'koo_Link', 'column', 'LogoUrl'
GO



execute sp_addextendedproperty 'MS_Description', 
   '显示顺序',
   'user', 'dbo', 'table', 'koo_Link', 'column', 'ShowOrder'
GO



execute sp_addextendedproperty 'MS_Description', 
   '分类ID',
   'user', 'dbo', 'table', 'koo_Link', 'column', 'ClassId'
GO


create table koo_LinkClass (
   ClassId              int                  identity,
   ClassName            nvarchar(50)         not null,
   ParentId             int                  not null,
   Creator              nvarchar(256)        collate Chinese_PRC_CI_AS not null,
   CreateDate           datetime             not null,
   Comment              nvarchar(500)        not null,
   constraint PK_koo_LINKCLASS primary key (ClassId)
)
GO



execute sp_addextendedproperty 'MS_Description', 
   '友情链接分类表',
   'user', 'dbo', 'table', 'koo_LinkClass'
GO



execute sp_addextendedproperty 'MS_Description', 
   '分类ID',
   'user', 'dbo', 'table', 'koo_LinkClass', 'column', 'ClassId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '分类名称',
   'user', 'dbo', 'table', 'koo_LinkClass', 'column', 'ClassName'
GO



execute sp_addextendedproperty 'MS_Description', 
   '上级分类ID',
   'user', 'dbo', 'table', 'koo_LinkClass', 'column', 'ParentId'
GO



execute sp_addextendedproperty 'MS_Description', 
   '创建人',
   'user', 'dbo', 'table', 'koo_LinkClass', 'column', 'Creator'
GO



execute sp_addextendedproperty 'MS_Description', 
   '创建日期',
   'user', 'dbo', 'table', 'koo_LinkClass', 'column', 'CreateDate'
GO



execute sp_addextendedproperty 'MS_Description', 
   '备注',
   'user', 'dbo', 'table', 'koo_LinkClass', 'column', 'Comment'
GO

